#####  Created by:
#####  Tactical Display Icon Editor



import App
import GlobalPropertyTemplates

# Local Templates
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(24000.000000)
Hull.SetCritical(1)
Hull.SetTargetable(0)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.000000, -0.200000)
Hull.SetPosition2D(64.000000, 39.000000)
Hull.SetRepairComplexity(1.000000)
Hull.SetDisabledPercentage(0.000000)
Hull.SetRadius(0.260000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(10000.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(0.000000, 0.320000, 0.060000)
ShieldGenerator.SetPosition2D(9.000000, 7.000000)
ShieldGenerator.SetRepairComplexity(2.000000)
ShieldGenerator.SetDisabledPercentage(0.400000)
ShieldGenerator.SetRadius(0.100000)
ShieldGenerator.SetNormalPowerPerSecond(700.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.203922, 0.631373, 1.000000, 0.466667)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 14000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 14000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 14000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 14000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 14000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 14000.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 30.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 30.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 30.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 30.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 30.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 30.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
SensorArray = App.SensorProperty_Create("Sensor Array")

SensorArray.SetMaxCondition(10000.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(-0.001547, 0.640000, -0.213352)
SensorArray.SetPosition2D(9.000000, 22.000000)
SensorArray.SetRepairComplexity(1.000000)
SensorArray.SetDisabledPercentage(0.500000)
SensorArray.SetRadius(0.100000)
SensorArray.SetNormalPowerPerSecond(200.000000)
SensorArray.SetBaseSensorRange(2400.000000)
SensorArray.SetMaxProbes(20)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
WarpCore = App.PowerProperty_Create("Warp Core")

WarpCore.SetMaxCondition(13000.000000)
WarpCore.SetCritical(1)
WarpCore.SetTargetable(1)
WarpCore.SetPrimary(1)
WarpCore.SetPosition(0.000000, -0.280000, -0.300000)
WarpCore.SetPosition2D(9.000000, 39.000000)
WarpCore.SetRepairComplexity(2.000000)
WarpCore.SetDisabledPercentage(0.500000)
WarpCore.SetRadius(0.100000)
WarpCore.SetMainBatteryLimit(200000.000000)
WarpCore.SetBackupBatteryLimit(100000.000000)
WarpCore.SetMainConduitCapacity(2500.000000)
WarpCore.SetBackupConduitCapacity(300.000000)
WarpCore.SetPowerOutput(2000.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpCore)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(20000.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(0)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(0.000000, -0.060000, 0.010000)
ImpulseEngines.SetPosition2D(64.000000, 72.000000)
ImpulseEngines.SetRepairComplexity(3.000000)
ImpulseEngines.SetDisabledPercentage(0.500000)
ImpulseEngines.SetRadius(0.100000)
ImpulseEngines.SetNormalPowerPerSecond(300.000000)
ImpulseEngines.SetMaxAccel(9.000000)
ImpulseEngines.SetMaxAngularAccel(0.600000)
ImpulseEngines.SetMaxAngularVelocity(0.600000)
ImpulseEngines.SetMaxSpeed(8.000000)
ImpulseEngines.SetEngineSound("Federation Engines")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
PortImpulse = App.EngineProperty_Create("Port Impulse")

PortImpulse.SetMaxCondition(6000.000000)
PortImpulse.SetCritical(0)
PortImpulse.SetTargetable(1)
PortImpulse.SetPrimary(1)
PortImpulse.SetPosition(-0.694710, -0.054203, 0.164771)
PortImpulse.SetPosition2D(54.000000, 41.000000)
PortImpulse.SetRepairComplexity(2.000000)
PortImpulse.SetDisabledPercentage(0.500000)
PortImpulse.SetRadius(0.080000)
PortImpulse.SetEngineType(PortImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortImpulse)
#################################################
StarImpulse = App.EngineProperty_Create("Star Impulse")

StarImpulse.SetMaxCondition(6000.000000)
StarImpulse.SetCritical(0)
StarImpulse.SetTargetable(1)
StarImpulse.SetPrimary(1)
StarImpulse.SetPosition(0.695052, -0.055047, 0.164057)
StarImpulse.SetPosition2D(74.000000, 41.000000)
StarImpulse.SetRepairComplexity(2.000000)
StarImpulse.SetDisabledPercentage(0.500000)
StarImpulse.SetRadius(0.080000)
StarImpulse.SetEngineType(StarImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarImpulse)
#################################################
PortWarp = App.EngineProperty_Create("Port Warp")

PortWarp.SetMaxCondition(8500.000000)
PortWarp.SetCritical(0)
PortWarp.SetTargetable(1)
PortWarp.SetPrimary(1)
PortWarp.SetPosition(-1.083060, -2.300000, 0.300000)
PortWarp.SetPosition2D(37.000000, 73.000000)
PortWarp.SetRepairComplexity(2.000000)
PortWarp.SetDisabledPercentage(0.500000)
PortWarp.SetRadius(0.200000)
PortWarp.SetEngineType(PortWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortWarp)
#################################################
StarWarp = App.EngineProperty_Create("Star Warp")

StarWarp.SetMaxCondition(8500.000000)
StarWarp.SetCritical(0)
StarWarp.SetTargetable(1)
StarWarp.SetPrimary(1)
StarWarp.SetPosition(1.083060, -2.300000, 0.300000)
StarWarp.SetPosition2D(91.000000, 73.000000)
StarWarp.SetRepairComplexity(2.000000)
StarWarp.SetDisabledPercentage(0.500000)
StarWarp.SetRadius(0.200000)
StarWarp.SetEngineType(StarWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarWarp)
#################################################
DamageControl = App.RepairSubsystemProperty_Create("Damage Control")

DamageControl.SetMaxCondition(20000.000000)
DamageControl.SetCritical(0)
DamageControl.SetTargetable(0)
DamageControl.SetPrimary(1)
DamageControl.SetPosition(0.000000, -0.080000, -0.040000)
DamageControl.SetPosition2D(75.000000, 75.000000)
DamageControl.SetRepairComplexity(1.000000)
DamageControl.SetDisabledPercentage(0.100000)
DamageControl.SetRadius(0.010000)
DamageControl.SetNormalPowerPerSecond(1.000000)
DamageControl.SetMaxRepairPoints(100.000000)
DamageControl.SetNumRepairTeams(4)
App.g_kModelPropertyManager.RegisterLocalTemplate(DamageControl)
#################################################
ProbeLauncher = App.ObjectEmitterProperty_Create("Probe Launcher")

ProbeLauncherForward = App.TGPoint3()
ProbeLauncherForward.SetXYZ(0.000000, 1.000000, 0.000000)
ProbeLauncherUp = App.TGPoint3()
ProbeLauncherUp.SetXYZ(0.000000, 0.000000, 1.000000)
ProbeLauncherRight = App.TGPoint3()
ProbeLauncherRight.SetXYZ(1.000000, 0.000000, 0.000000)
ProbeLauncher.SetOrientation(ProbeLauncherForward, ProbeLauncherUp, ProbeLauncherRight)
ProbeLauncherPosition = App.TGPoint3()
ProbeLauncherPosition.SetXYZ(-0.027783, 0.367145, -0.377121)
ProbeLauncher.SetPosition(ProbeLauncherPosition)
ProbeLauncher.SetEmittedObjectType(ProbeLauncher.OEP_PROBE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ProbeLauncher)
#################################################
PhaserArrays = App.WeaponSystemProperty_Create("Phaser Arrays")

PhaserArrays.SetMaxCondition(20000.000000)
PhaserArrays.SetCritical(0)
PhaserArrays.SetTargetable(0)
PhaserArrays.SetPrimary(1)
PhaserArrays.SetPosition(0.000000, 0.320000, 0.000000)
PhaserArrays.SetPosition2D(34.000000, 40.000000)
PhaserArrays.SetRepairComplexity(3.000000)
PhaserArrays.SetDisabledPercentage(0.750000)
PhaserArrays.SetRadius(0.100000)
PhaserArrays.SetNormalPowerPerSecond(500.000000)
PhaserArrays.SetWeaponSystemType(PhaserArrays.WST_PHASER)
PhaserArrays.SetSingleFire(0)
PhaserArrays.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
PhaserArrays.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserArrays)
#################################################
BridgeLight = App.BlinkingLightProperty_Create("Bridge Light")

BridgeLightForward = App.TGPoint3()
BridgeLightForward.SetXYZ(0.000000, 1.000000, 0.000000)
BridgeLightUp = App.TGPoint3()
BridgeLightUp.SetXYZ(0.000000, 0.000000, 1.000000)
BridgeLightRight = App.TGPoint3()
BridgeLightRight.SetXYZ(1.000000, 0.000000, 0.000000)
BridgeLight.SetOrientation(BridgeLightForward, BridgeLightUp, BridgeLightRight)
BridgeLightPosition = App.TGPoint3()
BridgeLightPosition.SetXYZ(0.000000, 0.392607, -1.662120)
BridgeLight.SetPosition(BridgeLightPosition)
BridgeLightLightColor = App.TGColorA()
BridgeLightLightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
BridgeLight.SetColor(BridgeLightLightColor)
BridgeLight.SetRadius(0.100000)
BridgeLight.SetPeriod(1000.000000)
BridgeLight.SetDuration(5.000000)
BridgeLight.SetTextureName("data\Textures\Tactical\cgblink.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(BridgeLight)
#################################################
saucerlight1 = App.BlinkingLightProperty_Create("saucerlight1")

saucerlight1Forward = App.TGPoint3()
saucerlight1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
saucerlight1Up = App.TGPoint3()
saucerlight1Up.SetXYZ(0.000000, 0.000000, 1.000000)
saucerlight1Right = App.TGPoint3()
saucerlight1Right.SetXYZ(1.000000, 0.000000, 0.000000)
saucerlight1.SetOrientation(saucerlight1Forward, saucerlight1Up, saucerlight1Right)
saucerlight1Position = App.TGPoint3()
saucerlight1Position.SetXYZ(0.000000, 3.491880, 0.099051)
saucerlight1.SetPosition(saucerlight1Position)
saucerlight1LightColor = App.TGColorA()
saucerlight1LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
saucerlight1.SetColor(saucerlight1LightColor)
saucerlight1.SetRadius(0.750000)
saucerlight1.SetPeriod(2.000000)
saucerlight1.SetDuration(0.000000)
saucerlight1.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(saucerlight1)
#################################################
saucerlight2 = App.BlinkingLightProperty_Create("saucerlight2")

saucerlight2Forward = App.TGPoint3()
saucerlight2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
saucerlight2Up = App.TGPoint3()
saucerlight2Up.SetXYZ(0.000000, 0.000000, 1.000000)
saucerlight2Right = App.TGPoint3()
saucerlight2Right.SetXYZ(1.000000, 0.000000, 0.000000)
saucerlight2.SetOrientation(saucerlight2Forward, saucerlight2Up, saucerlight2Right)
saucerlight2Position = App.TGPoint3()
saucerlight2Position.SetXYZ(0.000000, 3.476460, 0.063672)
saucerlight2.SetPosition(saucerlight2Position)
saucerlight2LightColor = App.TGColorA()
saucerlight2LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
saucerlight2.SetColor(saucerlight2LightColor)
saucerlight2.SetRadius(0.750000)
saucerlight2.SetPeriod(2.000000)
saucerlight2.SetDuration(0.000000)
saucerlight2.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(saucerlight2)
#################################################
saucerlightred1 = App.BlinkingLightProperty_Create("saucerlightred1")

saucerlightred1Forward = App.TGPoint3()
saucerlightred1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
saucerlightred1Up = App.TGPoint3()
saucerlightred1Up.SetXYZ(0.000000, 0.000000, 1.000000)
saucerlightred1Right = App.TGPoint3()
saucerlightred1Right.SetXYZ(1.000000, 0.000000, 0.000000)
saucerlightred1.SetOrientation(saucerlightred1Forward, saucerlightred1Up, saucerlightred1Right)
saucerlightred1Position = App.TGPoint3()
saucerlightred1Position.SetXYZ(-1.420510, 1.522310, 0.091992)
saucerlightred1.SetPosition(saucerlightred1Position)
saucerlightred1LightColor = App.TGColorA()
saucerlightred1LightColor.SetRGBA(0.835294, 0.000000, 0.000000, 1.000000)
saucerlightred1.SetColor(saucerlightred1LightColor)
saucerlightred1.SetRadius(0.750000)
saucerlightred1.SetPeriod(2.000000)
saucerlightred1.SetDuration(0.000000)
saucerlightred1.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(saucerlightred1)
#################################################
saucerlightred2 = App.BlinkingLightProperty_Create("saucerlightred2")

saucerlightred2Forward = App.TGPoint3()
saucerlightred2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
saucerlightred2Up = App.TGPoint3()
saucerlightred2Up.SetXYZ(0.000000, 0.000000, 1.000000)
saucerlightred2Right = App.TGPoint3()
saucerlightred2Right.SetXYZ(1.000000, 0.000000, 0.000000)
saucerlightred2.SetOrientation(saucerlightred2Forward, saucerlightred2Up, saucerlightred2Right)
saucerlightred2Position = App.TGPoint3()
saucerlightred2Position.SetXYZ(-1.405440, 1.478060, 0.063672)
saucerlightred2.SetPosition(saucerlightred2Position)
saucerlightred2LightColor = App.TGColorA()
saucerlightred2LightColor.SetRGBA(0.835294, 0.000000, 0.000000, 1.000000)
saucerlightred2.SetColor(saucerlightred2LightColor)
saucerlightred2.SetRadius(0.750000)
saucerlightred2.SetPeriod(2.000000)
saucerlightred2.SetDuration(0.000000)
saucerlightred2.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(saucerlightred2)
#################################################
saucerlightgreen1 = App.BlinkingLightProperty_Create("saucerlightgreen1")

saucerlightgreen1Forward = App.TGPoint3()
saucerlightgreen1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
saucerlightgreen1Up = App.TGPoint3()
saucerlightgreen1Up.SetXYZ(0.000000, 0.000000, 1.000000)
saucerlightgreen1Right = App.TGPoint3()
saucerlightgreen1Right.SetXYZ(1.000000, 0.000000, 0.000000)
saucerlightgreen1.SetOrientation(saucerlightgreen1Forward, saucerlightgreen1Up, saucerlightgreen1Right)
saucerlightgreen1Position = App.TGPoint3()
saucerlightgreen1Position.SetXYZ(1.422760, 1.521860, 0.090398)
saucerlightgreen1.SetPosition(saucerlightgreen1Position)
saucerlightgreen1LightColor = App.TGColorA()
saucerlightgreen1LightColor.SetRGBA(0.003922, 0.639216, 0.286275, 1.000000)
saucerlightgreen1.SetColor(saucerlightgreen1LightColor)
saucerlightgreen1.SetRadius(0.750000)
saucerlightgreen1.SetPeriod(2.000000)
saucerlightgreen1.SetDuration(0.000000)
saucerlightgreen1.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(saucerlightgreen1)
#################################################
saucerlightgreen2 = App.BlinkingLightProperty_Create("saucerlightgreen2")

saucerlightgreen2Forward = App.TGPoint3()
saucerlightgreen2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
saucerlightgreen2Up = App.TGPoint3()
saucerlightgreen2Up.SetXYZ(0.000000, 0.000000, 1.000000)
saucerlightgreen2Right = App.TGPoint3()
saucerlightgreen2Right.SetXYZ(1.000000, 0.000000, 0.000000)
saucerlightgreen2.SetOrientation(saucerlightgreen2Forward, saucerlightgreen2Up, saucerlightgreen2Right)
saucerlightgreen2Position = App.TGPoint3()
saucerlightgreen2Position.SetXYZ(1.408960, 1.478570, 0.063672)
saucerlightgreen2.SetPosition(saucerlightgreen2Position)
saucerlightgreen2LightColor = App.TGColorA()
saucerlightgreen2LightColor.SetRGBA(0.003922, 0.639216, 0.286275, 1.000000)
saucerlightgreen2.SetColor(saucerlightgreen2LightColor)
saucerlightgreen2.SetRadius(0.750000)
saucerlightgreen2.SetPeriod(2.000000)
saucerlightgreen2.SetDuration(0.000000)
saucerlightgreen2.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(saucerlightgreen2)
#################################################
bridgeblinker = App.BlinkingLightProperty_Create("bridgeblinker")

bridgeblinkerForward = App.TGPoint3()
bridgeblinkerForward.SetXYZ(0.000000, 1.000000, 0.000000)
bridgeblinkerUp = App.TGPoint3()
bridgeblinkerUp.SetXYZ(0.000000, 0.000000, 1.000000)
bridgeblinkerRight = App.TGPoint3()
bridgeblinkerRight.SetXYZ(1.000000, 0.000000, 0.000000)
bridgeblinker.SetOrientation(bridgeblinkerForward, bridgeblinkerUp, bridgeblinkerRight)
bridgeblinkerPosition = App.TGPoint3()
bridgeblinkerPosition.SetXYZ(-0.000363, 1.650540, 0.458501)
bridgeblinker.SetPosition(bridgeblinkerPosition)
bridgeblinkerLightColor = App.TGColorA()
bridgeblinkerLightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
bridgeblinker.SetColor(bridgeblinkerLightColor)
bridgeblinker.SetRadius(1.000000)
bridgeblinker.SetPeriod(5.000000)
bridgeblinker.SetDuration(1.000000)
bridgeblinker.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(bridgeblinker)
#################################################
hulllight1 = App.BlinkingLightProperty_Create("hulllight1")

hulllight1Forward = App.TGPoint3()
hulllight1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
hulllight1Up = App.TGPoint3()
hulllight1Up.SetXYZ(0.000000, 0.000000, 1.000000)
hulllight1Right = App.TGPoint3()
hulllight1Right.SetXYZ(1.000000, 0.000000, 0.000000)
hulllight1.SetOrientation(hulllight1Forward, hulllight1Up, hulllight1Right)
hulllight1Position = App.TGPoint3()
hulllight1Position.SetXYZ(0.000000, -0.962368, 0.117276)
hulllight1.SetPosition(hulllight1Position)
hulllight1LightColor = App.TGColorA()
hulllight1LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
hulllight1.SetColor(hulllight1LightColor)
hulllight1.SetRadius(0.500000)
hulllight1.SetPeriod(2.000000)
hulllight1.SetDuration(0.000000)
hulllight1.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(hulllight1)
#################################################
snacellelight2 = App.BlinkingLightProperty_Create("snacellelight2")

snacellelight2Forward = App.TGPoint3()
snacellelight2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
snacellelight2Up = App.TGPoint3()
snacellelight2Up.SetXYZ(0.000000, 0.000000, 1.000000)
snacellelight2Right = App.TGPoint3()
snacellelight2Right.SetXYZ(1.000000, 0.000000, 0.000000)
snacellelight2.SetOrientation(snacellelight2Forward, snacellelight2Up, snacellelight2Right)
snacellelight2Position = App.TGPoint3()
snacellelight2Position.SetXYZ(1.084750, -4.248240, 0.339967)
snacellelight2.SetPosition(snacellelight2Position)
snacellelight2LightColor = App.TGColorA()
snacellelight2LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
snacellelight2.SetColor(snacellelight2LightColor)
snacellelight2.SetRadius(0.600000)
snacellelight2.SetPeriod(5.000000)
snacellelight2.SetDuration(2.000000)
snacellelight2.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(snacellelight2)
#################################################
snacellelight3 = App.BlinkingLightProperty_Create("snacellelight3")

snacellelight3Forward = App.TGPoint3()
snacellelight3Forward.SetXYZ(0.000000, 1.000000, 0.000000)
snacellelight3Up = App.TGPoint3()
snacellelight3Up.SetXYZ(0.000000, 0.000000, 1.000000)
snacellelight3Right = App.TGPoint3()
snacellelight3Right.SetXYZ(1.000000, 0.000000, 0.000000)
snacellelight3.SetOrientation(snacellelight3Forward, snacellelight3Up, snacellelight3Right)
snacellelight3Position = App.TGPoint3()
snacellelight3Position.SetXYZ(1.086130, -4.279710, 0.150779)
snacellelight3.SetPosition(snacellelight3Position)
snacellelight3LightColor = App.TGColorA()
snacellelight3LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
snacellelight3.SetColor(snacellelight3LightColor)
snacellelight3.SetRadius(0.600000)
snacellelight3.SetPeriod(5.000000)
snacellelight3.SetDuration(2.000000)
snacellelight3.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(snacellelight3)
#################################################
pnacellelight2 = App.BlinkingLightProperty_Create("pnacellelight2")

pnacellelight2Forward = App.TGPoint3()
pnacellelight2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
pnacellelight2Up = App.TGPoint3()
pnacellelight2Up.SetXYZ(0.000000, 0.000000, 1.000000)
pnacellelight2Right = App.TGPoint3()
pnacellelight2Right.SetXYZ(1.000000, 0.000000, 0.000000)
pnacellelight2.SetOrientation(pnacellelight2Forward, pnacellelight2Up, pnacellelight2Right)
pnacellelight2Position = App.TGPoint3()
pnacellelight2Position.SetXYZ(-1.087100, -4.244420, 0.340062)
pnacellelight2.SetPosition(pnacellelight2Position)
pnacellelight2LightColor = App.TGColorA()
pnacellelight2LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
pnacellelight2.SetColor(pnacellelight2LightColor)
pnacellelight2.SetRadius(0.600000)
pnacellelight2.SetPeriod(5.000000)
pnacellelight2.SetDuration(2.000000)
pnacellelight2.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(pnacellelight2)
#################################################
pnacellelight3 = App.BlinkingLightProperty_Create("pnacellelight3")

pnacellelight3Forward = App.TGPoint3()
pnacellelight3Forward.SetXYZ(0.000000, 1.000000, 0.000000)
pnacellelight3Up = App.TGPoint3()
pnacellelight3Up.SetXYZ(0.000000, 0.000000, 1.000000)
pnacellelight3Right = App.TGPoint3()
pnacellelight3Right.SetXYZ(1.000000, 0.000000, 0.000000)
pnacellelight3.SetOrientation(pnacellelight3Forward, pnacellelight3Up, pnacellelight3Right)
pnacellelight3Position = App.TGPoint3()
pnacellelight3Position.SetXYZ(-1.087430, -4.279860, 0.150779)
pnacellelight3.SetPosition(pnacellelight3Position)
pnacellelight3LightColor = App.TGColorA()
pnacellelight3LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
pnacellelight3.SetColor(pnacellelight3LightColor)
pnacellelight3.SetRadius(0.600000)
pnacellelight3.SetPeriod(5.000000)
pnacellelight3.SetDuration(2.000000)
pnacellelight3.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(pnacellelight3)
#################################################
rearhulllight = App.BlinkingLightProperty_Create("rearhulllight")

rearhulllightForward = App.TGPoint3()
rearhulllightForward.SetXYZ(0.000000, 1.000000, 0.000000)
rearhulllightUp = App.TGPoint3()
rearhulllightUp.SetXYZ(0.000000, 0.000000, 1.000000)
rearhulllightRight = App.TGPoint3()
rearhulllightRight.SetXYZ(1.000000, 0.000000, 0.000000)
rearhulllight.SetOrientation(rearhulllightForward, rearhulllightUp, rearhulllightRight)
rearhulllightPosition = App.TGPoint3()
rearhulllightPosition.SetXYZ(0.000000, -2.217590, -0.038134)
rearhulllight.SetPosition(rearhulllightPosition)
rearhulllightLightColor = App.TGColorA()
rearhulllightLightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
rearhulllight.SetColor(rearhulllightLightColor)
rearhulllight.SetRadius(0.500000)
rearhulllight.SetPeriod(2.000000)
rearhulllight.SetDuration(0.000000)
rearhulllight.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(rearhulllight)
#################################################
spotlight1 = App.BlinkingLightProperty_Create("spotlight1")

spotlight1Forward = App.TGPoint3()
spotlight1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
spotlight1Up = App.TGPoint3()
spotlight1Up.SetXYZ(0.000000, 0.000000, 1.000000)
spotlight1Right = App.TGPoint3()
spotlight1Right.SetXYZ(1.000000, 0.000000, 0.000000)
spotlight1.SetOrientation(spotlight1Forward, spotlight1Up, spotlight1Right)
spotlight1Position = App.TGPoint3()
spotlight1Position.SetXYZ(-0.000666, 2.098940, 0.360794)
spotlight1.SetPosition(spotlight1Position)
spotlight1LightColor = App.TGColorA()
spotlight1LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
spotlight1.SetColor(spotlight1LightColor)
spotlight1.SetRadius(0.500000)
spotlight1.SetPeriod(2.000000)
spotlight1.SetDuration(0.000000)
spotlight1.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(spotlight1)
#################################################
spotlight2 = App.BlinkingLightProperty_Create("spotlight2")

spotlight2Forward = App.TGPoint3()
spotlight2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
spotlight2Up = App.TGPoint3()
spotlight2Up.SetXYZ(0.000000, 0.000000, 1.000000)
spotlight2Right = App.TGPoint3()
spotlight2Right.SetXYZ(1.000000, 0.000000, 0.000000)
spotlight2.SetOrientation(spotlight2Forward, spotlight2Up, spotlight2Right)
spotlight2Position = App.TGPoint3()
spotlight2Position.SetXYZ(0.000000, 2.234040, -0.002420)
spotlight2.SetPosition(spotlight2Position)
spotlight2LightColor = App.TGColorA()
spotlight2LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
spotlight2.SetColor(spotlight2LightColor)
spotlight2.SetRadius(0.500000)
spotlight2.SetPeriod(2.000000)
spotlight2.SetDuration(0.000000)
spotlight2.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(spotlight2)
#################################################
hulllight3 = App.BlinkingLightProperty_Create("hulllight3")

hulllight3Forward = App.TGPoint3()
hulllight3Forward.SetXYZ(0.000000, 1.000000, 0.000000)
hulllight3Up = App.TGPoint3()
hulllight3Up.SetXYZ(0.000000, 0.000000, 1.000000)
hulllight3Right = App.TGPoint3()
hulllight3Right.SetXYZ(1.000000, 0.000000, 0.000000)
hulllight3.SetOrientation(hulllight3Forward, hulllight3Up, hulllight3Right)
hulllight3Position = App.TGPoint3()
hulllight3Position.SetXYZ(0.000000, -2.352130, -0.246704)
hulllight3.SetPosition(hulllight3Position)
hulllight3LightColor = App.TGColorA()
hulllight3LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
hulllight3.SetColor(hulllight3LightColor)
hulllight3.SetRadius(0.500000)
hulllight3.SetPeriod(2.000000)
hulllight3.SetDuration(0.000000)
hulllight3.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(hulllight3)
#################################################
HullLight5 = App.BlinkingLightProperty_Create("Hull Light 5")

HullLight5Forward = App.TGPoint3()
HullLight5Forward.SetXYZ(0.000000, 1.000000, 0.000000)
HullLight5Up = App.TGPoint3()
HullLight5Up.SetXYZ(0.000000, 0.000000, 1.000000)
HullLight5Right = App.TGPoint3()
HullLight5Right.SetXYZ(1.000000, 0.000000, 0.000000)
HullLight5.SetOrientation(HullLight5Forward, HullLight5Up, HullLight5Right)
HullLight5Position = App.TGPoint3()
HullLight5Position.SetXYZ(0.000000, -0.359861, -0.514987)
HullLight5.SetPosition(HullLight5Position)
HullLight5LightColor = App.TGColorA()
HullLight5LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
HullLight5.SetColor(HullLight5LightColor)
HullLight5.SetRadius(0.600000)
HullLight5.SetPeriod(5.000000)
HullLight5.SetDuration(2.000000)
HullLight5.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(HullLight5)
#################################################
TractorBeams = App.WeaponSystemProperty_Create("Tractor Beams")

TractorBeams.SetMaxCondition(24000.000000)
TractorBeams.SetCritical(0)
TractorBeams.SetTargetable(0)
TractorBeams.SetPrimary(1)
TractorBeams.SetPosition(0.000000, -0.480000, -0.140000)
TractorBeams.SetPosition2D(64.000000, 60.000000)
TractorBeams.SetRepairComplexity(1.500000)
TractorBeams.SetDisabledPercentage(0.750000)
TractorBeams.SetRadius(0.100000)
TractorBeams.SetNormalPowerPerSecond(700.000000)
TractorBeams.SetWeaponSystemType(TractorBeams.WST_TRACTOR)
TractorBeams.SetSingleFire(1)
TractorBeams.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
TractorBeams.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorBeams)
#################################################
WarpEngines = App.WarpEngineProperty_Create("Warp Engines")

WarpEngines.SetMaxCondition(24000.000000)
WarpEngines.SetCritical(0)
WarpEngines.SetTargetable(0)
WarpEngines.SetPrimary(1)
WarpEngines.SetPosition(0.000000, -0.680000, -0.120000)
WarpEngines.SetPosition2D(37.000000, 100.000000)
WarpEngines.SetRepairComplexity(2.000000)
WarpEngines.SetDisabledPercentage(0.500000)
WarpEngines.SetRadius(0.050000)
WarpEngines.SetNormalPowerPerSecond(0.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEngines)
#################################################
Bridge = App.HullProperty_Create("Bridge")

Bridge.SetMaxCondition(12000.000000)
Bridge.SetCritical(1)
Bridge.SetTargetable(1)
Bridge.SetPrimary(0)
Bridge.SetPosition(-0.000252, 1.694750, 0.440000)
Bridge.SetPosition2D(64.000000, 22.000000)
Bridge.SetRepairComplexity(2.000000)
Bridge.SetDisabledPercentage(0.250000)
Bridge.SetRadius(0.100000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Bridge)
#################################################
TractorA2 = App.TractorBeamProperty_Create("Tractor A2")

TractorA2.SetMaxCondition(1500.000000)
TractorA2.SetCritical(0)
TractorA2.SetTargetable(1)
TractorA2.SetPrimary(1)
TractorA2.SetPosition(0.000000, -0.916334, -0.528951)
TractorA2.SetPosition2D(78.000000, 89.000000)
TractorA2.SetRepairComplexity(1.500000)
TractorA2.SetDisabledPercentage(0.750000)
TractorA2.SetRadius(0.280000)
TractorA2.SetDumbfire(0)
TractorA2.SetWeaponID(3)
TractorA2.SetGroups(0)
TractorA2.SetDamageRadiusFactor(0.300000)
TractorA2.SetIconNum(0)
TractorA2.SetIconPositionX(500.000000)
TractorA2.SetIconPositionY(500.000000)
TractorA2.SetIconAboveShip(1)
TractorA2.SetFireSound("Tractor Beam")
TractorA2.SetMaxCharge(5.000000)
TractorA2.SetMaxDamage(80000.000000)
TractorA2.SetMaxDamageDistance(114.000000)
TractorA2.SetMinFiringCharge(3.000000)
TractorA2.SetNormalDischargeRate(1.000000)
TractorA2.SetRechargeRate(1.000000)
TractorA2.SetIndicatorIconNum(0)
TractorA2.SetIndicatorIconPositionX(500.000000)
TractorA2.SetIndicatorIconPositionY(500.000000)
TractorA2Forward = App.TGPoint3()
TractorA2Forward.SetXYZ(0.000000, -1.000000, 0.000000)
TractorA2Up = App.TGPoint3()
TractorA2Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorA2.SetOrientation(TractorA2Forward, TractorA2Up)
TractorA2.SetArcWidthAngles(-0.523599, 0.523599)
TractorA2.SetArcHeightAngles(-1.221731, 0.139626)
TractorA2.SetTractorBeamWidth(0.400000)
TractorA2.SetTextureStart(0)
TractorA2.SetTextureEnd(0)
TractorA2.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
TractorA2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
TractorA2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
TractorA2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
TractorA2.SetInnerCoreColor(kColor)
TractorA2.SetNumSides(12)
TractorA2.SetMainRadius(0.125000)
TractorA2.SetTaperRadius(0.000000)
TractorA2.SetCoreScale(0.450000)
TractorA2.SetTaperRatio(0.200000)
TractorA2.SetTaperMinLength(1.000000)
TractorA2.SetTaperMaxLength(5.000000)
TractorA2.SetLengthTextureTilePerUnit(0.250000)
TractorA2.SetPerimeterTile(1.000000)
TractorA2.SetTextureSpeed(0.200000)
TractorA2.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorA2)
#################################################
Decoylauncher = App.ObjectEmitterProperty_Create("Decoy launcher")

DecoylauncherForward = App.TGPoint3()
DecoylauncherForward.SetXYZ(0.000000, -1.000000, 0.000000)
DecoylauncherUp = App.TGPoint3()
DecoylauncherUp.SetXYZ(0.000000, 0.000000, 1.000000)
DecoylauncherRight = App.TGPoint3()
DecoylauncherRight.SetXYZ(-1.000000, 0.000000, 0.000000)
Decoylauncher.SetOrientation(DecoylauncherForward, DecoylauncherUp, DecoylauncherRight)
DecoylauncherPosition = App.TGPoint3()
DecoylauncherPosition.SetXYZ(0.000000, -0.916334, -0.528951)
Decoylauncher.SetPosition(DecoylauncherPosition)
Decoylauncher.SetEmittedObjectType(Decoylauncher.OEP_DECOY)
App.g_kModelPropertyManager.RegisterLocalTemplate(Decoylauncher)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(0.000000, 2.300000, 0.373683)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(-0.100000, 1.736360, 0.368935)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(0.100000, 1.736360, 0.368935)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(-0.001203, -0.198732, 0.173476)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.000000, 1.724350, 0.376300)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.000000, 0.350000, -0.450000)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPerson = App.PositionOrientationProperty_Create("FirstPerson")

FirstPersonForward = App.TGPoint3()
FirstPersonForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonUp = App.TGPoint3()
FirstPersonUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonRight = App.TGPoint3()
FirstPersonRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPerson.SetOrientation(FirstPersonForward, FirstPersonUp, FirstPersonRight)
FirstPersonPosition = App.TGPoint3()
FirstPersonPosition.SetXYZ(0.000000, 2.080870, 0.362027)
FirstPerson.SetPosition(FirstPersonPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPerson)
#################################################
TractorF1 = App.TractorBeamProperty_Create("Tractor F1")

TractorF1.SetMaxCondition(1500.000000)
TractorF1.SetCritical(0)
TractorF1.SetTargetable(1)
TractorF1.SetPrimary(1)
TractorF1.SetPosition(-0.000164, 0.592682, -0.311735)
TractorF1.SetPosition2D(31.000000, 0.000000)
TractorF1.SetRepairComplexity(1.500000)
TractorF1.SetDisabledPercentage(0.750000)
TractorF1.SetRadius(0.150000)
TractorF1.SetDumbfire(0)
TractorF1.SetWeaponID(1)
TractorF1.SetGroups(0)
TractorF1.SetDamageRadiusFactor(0.300000)
TractorF1.SetIconNum(0)
TractorF1.SetIconPositionX(500.000000)
TractorF1.SetIconPositionY(500.000000)
TractorF1.SetIconAboveShip(1)
TractorF1.SetFireSound("Tractor Beam")
TractorF1.SetMaxCharge(5.000000)
TractorF1.SetMaxDamage(80000.000000)
TractorF1.SetMaxDamageDistance(114.000000)
TractorF1.SetMinFiringCharge(3.000000)
TractorF1.SetNormalDischargeRate(1.000000)
TractorF1.SetRechargeRate(1.000000)
TractorF1.SetIndicatorIconNum(0)
TractorF1.SetIndicatorIconPositionX(500.000000)
TractorF1.SetIndicatorIconPositionY(500.000000)
TractorF1Forward = App.TGPoint3()
TractorF1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
TractorF1Up = App.TGPoint3()
TractorF1Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorF1.SetOrientation(TractorF1Forward, TractorF1Up)
TractorF1.SetArcWidthAngles(-1.221731, 1.221731)
TractorF1.SetArcHeightAngles(-1.047198, 0.174533)
TractorF1.SetTractorBeamWidth(0.400000)
TractorF1.SetTextureStart(32)
TractorF1.SetTextureEnd(32)
TractorF1.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
TractorF1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
TractorF1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
TractorF1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
TractorF1.SetInnerCoreColor(kColor)
TractorF1.SetNumSides(12)
TractorF1.SetMainRadius(0.125000)
TractorF1.SetTaperRadius(0.000000)
TractorF1.SetCoreScale(0.450000)
TractorF1.SetTaperRatio(0.200000)
TractorF1.SetTaperMinLength(1.000000)
TractorF1.SetTaperMaxLength(5.000000)
TractorF1.SetLengthTextureTilePerUnit(0.250000)
TractorF1.SetPerimeterTile(1.000000)
TractorF1.SetTextureSpeed(0.200000)
TractorF1.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorF1)
#################################################
PhaserV2 = App.PhaserProperty_Create("Phaser V2")

PhaserV2.SetMaxCondition(1250.000000)
PhaserV2.SetCritical(0)
PhaserV2.SetTargetable(1)
PhaserV2.SetPrimary(1)
PhaserV2.SetPosition(-0.708000, 2.820000, 0.060000)
PhaserV2.SetPosition2D(54.000000, -1.000000)
PhaserV2.SetRepairComplexity(3.000000)
PhaserV2.SetDisabledPercentage(0.750000)
PhaserV2.SetRadius(0.050000)
PhaserV2.SetDumbfire(0)
PhaserV2.SetWeaponID(4)
PhaserV2.SetGroups(20)
PhaserV2.SetDamageRadiusFactor(0.250000)
PhaserV2.SetIconNum(364)
PhaserV2.SetIconPositionX(59.000000)
PhaserV2.SetIconPositionY(10.000000)
PhaserV2.SetIconAboveShip(0)
PhaserV2.SetFireSound("Ambassador Phaser")
PhaserV2.SetMaxCharge(2.500000)
PhaserV2.SetMaxDamage(1100.000000)
PhaserV2.SetMaxDamageDistance(150.000000)
PhaserV2.SetMinFiringCharge(1.500000)
PhaserV2.SetNormalDischargeRate(1.000000)
PhaserV2.SetRechargeRate(0.500000)
PhaserV2.SetIndicatorIconNum(510)
PhaserV2.SetIndicatorIconPositionX(52.000000)
PhaserV2.SetIndicatorIconPositionY(5.000000)
PhaserV2Forward = App.TGPoint3()
PhaserV2Forward.SetXYZ(-0.788010, 0.615663, 0.000000)
PhaserV2Up = App.TGPoint3()
PhaserV2Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserV2.SetOrientation(PhaserV2Forward, PhaserV2Up)
PhaserV2.SetWidth(0.600000)
PhaserV2.SetLength(0.159000)
PhaserV2.SetArcWidthAngles(-0.174533, 1.221731)
PhaserV2.SetArcHeightAngles(-0.087266, -1.745329)
PhaserV2.SetPhaserTextureStart(0)
PhaserV2.SetPhaserTextureEnd(7)
PhaserV2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserV2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserV2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserV2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserV2.SetInnerCoreColor(kColor)
PhaserV2.SetNumSides(6)
PhaserV2.SetMainRadius(0.090000)
PhaserV2.SetTaperRadius(0.020000)
PhaserV2.SetCoreScale(0.300000)
PhaserV2.SetTaperRatio(0.250000)
PhaserV2.SetTaperMinLength(30.000000)
PhaserV2.SetTaperMaxLength(30.000000)
PhaserV2.SetLengthTextureTilePerUnit(0.050000)
PhaserV2.SetPerimeterTile(1.000000)
PhaserV2.SetTextureSpeed(2.000000)
PhaserV2.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserV2)
#################################################
DorsalPhaser8extra = App.PhaserProperty_Create("Dorsal Phaser 8 extra")

DorsalPhaser8extra.SetMaxCondition(1250.000000)
DorsalPhaser8extra.SetCritical(0)
DorsalPhaser8extra.SetTargetable(1)
DorsalPhaser8extra.SetPrimary(1)
DorsalPhaser8extra.SetPosition(0.000000, 1.550000, 0.220000)
DorsalPhaser8extra.SetPosition2D(38.000000, 13.000000)
DorsalPhaser8extra.SetRepairComplexity(3.000000)
DorsalPhaser8extra.SetDisabledPercentage(0.750000)
DorsalPhaser8extra.SetRadius(0.050000)
DorsalPhaser8extra.SetDumbfire(1)
DorsalPhaser8extra.SetWeaponID(3)
DorsalPhaser8extra.SetGroups(8)
DorsalPhaser8extra.SetDamageRadiusFactor(0.250000)
DorsalPhaser8extra.SetIconNum(363)
DorsalPhaser8extra.SetIconPositionX(110.000000)
DorsalPhaser8extra.SetIconPositionY(55.000000)
DorsalPhaser8extra.SetIconAboveShip(1)
DorsalPhaser8extra.SetFireSound("Ambassador Phaser")
DorsalPhaser8extra.SetMaxCharge(2.000000)
DorsalPhaser8extra.SetMaxDamage(3000.000000)
DorsalPhaser8extra.SetMaxDamageDistance(150.000000)
DorsalPhaser8extra.SetMinFiringCharge(1.500000)
DorsalPhaser8extra.SetNormalDischargeRate(1.000000)
DorsalPhaser8extra.SetRechargeRate(0.500000)
DorsalPhaser8extra.SetIndicatorIconNum(515)
DorsalPhaser8extra.SetIndicatorIconPositionX(111.000000)
DorsalPhaser8extra.SetIndicatorIconPositionY(51.000000)
DorsalPhaser8extraForward = App.TGPoint3()
DorsalPhaser8extraForward.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalPhaser8extraUp = App.TGPoint3()
DorsalPhaser8extraUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser8extra.SetOrientation(DorsalPhaser8extraForward, DorsalPhaser8extraUp)
DorsalPhaser8extra.SetWidth(0.780000)
DorsalPhaser8extra.SetLength(1.300000)
DorsalPhaser8extra.SetArcWidthAngles(-1.692969, -2.094395)
DorsalPhaser8extra.SetArcHeightAngles(-0.052360, 1.745329)
DorsalPhaser8extra.SetPhaserTextureStart(0)
DorsalPhaser8extra.SetPhaserTextureEnd(7)
DorsalPhaser8extra.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser8extra.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser8extra.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser8extra.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser8extra.SetInnerCoreColor(kColor)
DorsalPhaser8extra.SetNumSides(6)
DorsalPhaser8extra.SetMainRadius(0.120000)
DorsalPhaser8extra.SetTaperRadius(0.020000)
DorsalPhaser8extra.SetCoreScale(0.300000)
DorsalPhaser8extra.SetTaperRatio(0.250000)
DorsalPhaser8extra.SetTaperMinLength(30.000000)
DorsalPhaser8extra.SetTaperMaxLength(30.000000)
DorsalPhaser8extra.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser8extra.SetPerimeterTile(1.000000)
DorsalPhaser8extra.SetTextureSpeed(2.000000)
DorsalPhaser8extra.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser8extra)
#################################################
DorsalPhaser9extra = App.PhaserProperty_Create("Dorsal Phaser 9 extra")

DorsalPhaser9extra.SetMaxCondition(1250.000000)
DorsalPhaser9extra.SetCritical(0)
DorsalPhaser9extra.SetTargetable(1)
DorsalPhaser9extra.SetPrimary(1)
DorsalPhaser9extra.SetPosition(0.000000, 1.550000, 0.220000)
DorsalPhaser9extra.SetPosition2D(93.000000, 16.000000)
DorsalPhaser9extra.SetRepairComplexity(3.000000)
DorsalPhaser9extra.SetDisabledPercentage(0.750000)
DorsalPhaser9extra.SetRadius(0.050000)
DorsalPhaser9extra.SetDumbfire(1)
DorsalPhaser9extra.SetWeaponID(3)
DorsalPhaser9extra.SetGroups(4)
DorsalPhaser9extra.SetDamageRadiusFactor(0.250000)
DorsalPhaser9extra.SetIconNum(363)
DorsalPhaser9extra.SetIconPositionX(20.000000)
DorsalPhaser9extra.SetIconPositionY(56.000000)
DorsalPhaser9extra.SetIconAboveShip(1)
DorsalPhaser9extra.SetFireSound("Ambassador Phaser")
DorsalPhaser9extra.SetMaxCharge(2.000000)
DorsalPhaser9extra.SetMaxDamage(3000.000000)
DorsalPhaser9extra.SetMaxDamageDistance(150.000000)
DorsalPhaser9extra.SetMinFiringCharge(1.500000)
DorsalPhaser9extra.SetNormalDischargeRate(1.000000)
DorsalPhaser9extra.SetRechargeRate(0.500000)
DorsalPhaser9extra.SetIndicatorIconNum(514)
DorsalPhaser9extra.SetIndicatorIconPositionX(21.000000)
DorsalPhaser9extra.SetIndicatorIconPositionY(52.000000)
DorsalPhaser9extraForward = App.TGPoint3()
DorsalPhaser9extraForward.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalPhaser9extraUp = App.TGPoint3()
DorsalPhaser9extraUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser9extra.SetOrientation(DorsalPhaser9extraForward, DorsalPhaser9extraUp)
DorsalPhaser9extra.SetWidth(0.780000)
DorsalPhaser9extra.SetLength(1.300000)
DorsalPhaser9extra.SetArcWidthAngles(1.692969, 2.094395)
DorsalPhaser9extra.SetArcHeightAngles(-0.052360, 1.745329)
DorsalPhaser9extra.SetPhaserTextureStart(0)
DorsalPhaser9extra.SetPhaserTextureEnd(7)
DorsalPhaser9extra.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser9extra.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser9extra.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser9extra.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser9extra.SetInnerCoreColor(kColor)
DorsalPhaser9extra.SetNumSides(6)
DorsalPhaser9extra.SetMainRadius(0.120000)
DorsalPhaser9extra.SetTaperRadius(0.020000)
DorsalPhaser9extra.SetCoreScale(0.300000)
DorsalPhaser9extra.SetTaperRatio(0.250000)
DorsalPhaser9extra.SetTaperMinLength(30.000000)
DorsalPhaser9extra.SetTaperMaxLength(30.000000)
DorsalPhaser9extra.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser9extra.SetPerimeterTile(1.000000)
DorsalPhaser9extra.SetTextureSpeed(2.000000)
DorsalPhaser9extra.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser9extra)
#################################################
PhaserV3 = App.PhaserProperty_Create("Phaser V3")

PhaserV3.SetMaxCondition(1250.000000)
PhaserV3.SetCritical(0)
PhaserV3.SetTargetable(1)
PhaserV3.SetPrimary(1)
PhaserV3.SetPosition(0.708000, 2.820000, 0.060000)
PhaserV3.SetPosition2D(58.000000, 4.000000)
PhaserV3.SetRepairComplexity(3.000000)
PhaserV3.SetDisabledPercentage(0.750000)
PhaserV3.SetRadius(0.050000)
PhaserV3.SetDumbfire(0)
PhaserV3.SetWeaponID(4)
PhaserV3.SetGroups(24)
PhaserV3.SetDamageRadiusFactor(0.250000)
PhaserV3.SetIconNum(364)
PhaserV3.SetIconPositionX(73.000000)
PhaserV3.SetIconPositionY(10.000000)
PhaserV3.SetIconAboveShip(0)
PhaserV3.SetFireSound("Ambassador Phaser")
PhaserV3.SetMaxCharge(2.500000)
PhaserV3.SetMaxDamage(1100.000000)
PhaserV3.SetMaxDamageDistance(150.000000)
PhaserV3.SetMinFiringCharge(1.500000)
PhaserV3.SetNormalDischargeRate(1.000000)
PhaserV3.SetRechargeRate(0.500000)
PhaserV3.SetIndicatorIconNum(510)
PhaserV3.SetIndicatorIconPositionX(68.000000)
PhaserV3.SetIndicatorIconPositionY(5.000000)
PhaserV3Forward = App.TGPoint3()
PhaserV3Forward.SetXYZ(0.788010, 0.615663, 0.000000)
PhaserV3Up = App.TGPoint3()
PhaserV3Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserV3.SetOrientation(PhaserV3Forward, PhaserV3Up)
PhaserV3.SetWidth(0.600000)
PhaserV3.SetLength(0.159000)
PhaserV3.SetArcWidthAngles(0.174533, -1.221731)
PhaserV3.SetArcHeightAngles(-0.087266, -1.745329)
PhaserV3.SetPhaserTextureStart(0)
PhaserV3.SetPhaserTextureEnd(7)
PhaserV3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserV3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserV3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserV3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserV3.SetInnerCoreColor(kColor)
PhaserV3.SetNumSides(6)
PhaserV3.SetMainRadius(0.090000)
PhaserV3.SetTaperRadius(0.020000)
PhaserV3.SetCoreScale(0.300000)
PhaserV3.SetTaperRatio(0.250000)
PhaserV3.SetTaperMinLength(30.000000)
PhaserV3.SetTaperMaxLength(30.000000)
PhaserV3.SetLengthTextureTilePerUnit(0.050000)
PhaserV3.SetPerimeterTile(1.000000)
PhaserV3.SetTextureSpeed(2.000000)
PhaserV3.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserV3)
#################################################
PhaserV4 = App.PhaserProperty_Create("Phaser V4")

PhaserV4.SetMaxCondition(1250.000000)
PhaserV4.SetCritical(0)
PhaserV4.SetTargetable(1)
PhaserV4.SetPrimary(1)
PhaserV4.SetPosition(-0.050000, 1.520000, 0.060000)
PhaserV4.SetPosition2D(72.000000, 4.000000)
PhaserV4.SetRepairComplexity(3.000000)
PhaserV4.SetDisabledPercentage(0.750000)
PhaserV4.SetRadius(0.050000)
PhaserV4.SetDumbfire(0)
PhaserV4.SetWeaponID(5)
PhaserV4.SetGroups(4)
PhaserV4.SetDamageRadiusFactor(0.250000)
PhaserV4.SetIconNum(330)
PhaserV4.SetIconPositionX(13.000000)
PhaserV4.SetIconPositionY(10.000000)
PhaserV4.SetIconAboveShip(0)
PhaserV4.SetFireSound("Ambassador Phaser")
PhaserV4.SetMaxCharge(2.500000)
PhaserV4.SetMaxDamage(1100.000000)
PhaserV4.SetMaxDamageDistance(150.000000)
PhaserV4.SetMinFiringCharge(1.500000)
PhaserV4.SetNormalDischargeRate(1.000000)
PhaserV4.SetRechargeRate(0.500000)
PhaserV4.SetIndicatorIconNum(512)
PhaserV4.SetIndicatorIconPositionX(21.000000)
PhaserV4.SetIndicatorIconPositionY(12.000000)
PhaserV4Forward = App.TGPoint3()
PhaserV4Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
PhaserV4Up = App.TGPoint3()
PhaserV4Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserV4.SetOrientation(PhaserV4Forward, PhaserV4Up)
PhaserV4.SetWidth(1.840000)
PhaserV4.SetLength(1.250000)
PhaserV4.SetArcWidthAngles(0.872665, 0.000000)
PhaserV4.SetArcHeightAngles(-0.087266, -1.745329)
PhaserV4.SetPhaserTextureStart(0)
PhaserV4.SetPhaserTextureEnd(7)
PhaserV4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserV4.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserV4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserV4.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserV4.SetInnerCoreColor(kColor)
PhaserV4.SetNumSides(6)
PhaserV4.SetMainRadius(0.090000)
PhaserV4.SetTaperRadius(0.020000)
PhaserV4.SetCoreScale(0.300000)
PhaserV4.SetTaperRatio(0.250000)
PhaserV4.SetTaperMinLength(30.000000)
PhaserV4.SetTaperMaxLength(30.000000)
PhaserV4.SetLengthTextureTilePerUnit(0.050000)
PhaserV4.SetPerimeterTile(1.000000)
PhaserV4.SetTextureSpeed(2.000000)
PhaserV4.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserV4)
#################################################
PhaserV5 = App.PhaserProperty_Create("Phaser V5")

PhaserV5.SetMaxCondition(1250.000000)
PhaserV5.SetCritical(0)
PhaserV5.SetTargetable(1)
PhaserV5.SetPrimary(1)
PhaserV5.SetPosition(0.050000, 1.520000, 0.060000)
PhaserV5.SetPosition2D(51.000000, 18.000000)
PhaserV5.SetRepairComplexity(3.000000)
PhaserV5.SetDisabledPercentage(0.750000)
PhaserV5.SetRadius(0.050000)
PhaserV5.SetDumbfire(0)
PhaserV5.SetWeaponID(5)
PhaserV5.SetGroups(8)
PhaserV5.SetDamageRadiusFactor(0.250000)
PhaserV5.SetIconNum(350)
PhaserV5.SetIconPositionX(96.000000)
PhaserV5.SetIconPositionY(10.000000)
PhaserV5.SetIconAboveShip(0)
PhaserV5.SetFireSound("Ambassador Phaser")
PhaserV5.SetMaxCharge(2.500000)
PhaserV5.SetMaxDamage(1100.000000)
PhaserV5.SetMaxDamageDistance(150.000000)
PhaserV5.SetMinFiringCharge(1.500000)
PhaserV5.SetNormalDischargeRate(1.000000)
PhaserV5.SetRechargeRate(0.500000)
PhaserV5.SetIndicatorIconNum(513)
PhaserV5.SetIndicatorIconPositionX(112.000000)
PhaserV5.SetIndicatorIconPositionY(12.000000)
PhaserV5Forward = App.TGPoint3()
PhaserV5Forward.SetXYZ(1.000000, 0.000000, 0.000000)
PhaserV5Up = App.TGPoint3()
PhaserV5Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserV5.SetOrientation(PhaserV5Forward, PhaserV5Up)
PhaserV5.SetWidth(1.840000)
PhaserV5.SetLength(1.250000)
PhaserV5.SetArcWidthAngles(0.000000, -0.872665)
PhaserV5.SetArcHeightAngles(-0.087266, -1.745329)
PhaserV5.SetPhaserTextureStart(0)
PhaserV5.SetPhaserTextureEnd(7)
PhaserV5.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserV5.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserV5.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserV5.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserV5.SetInnerCoreColor(kColor)
PhaserV5.SetNumSides(6)
PhaserV5.SetMainRadius(0.090000)
PhaserV5.SetTaperRadius(0.020000)
PhaserV5.SetCoreScale(0.300000)
PhaserV5.SetTaperRatio(0.250000)
PhaserV5.SetTaperMinLength(30.000000)
PhaserV5.SetTaperMaxLength(30.000000)
PhaserV5.SetLengthTextureTilePerUnit(0.050000)
PhaserV5.SetPerimeterTile(1.000000)
PhaserV5.SetTextureSpeed(2.000000)
PhaserV5.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserV5)
#################################################
PhaserV6 = App.PhaserProperty_Create("Phaser V6")

PhaserV6.SetMaxCondition(1250.000000)
PhaserV6.SetCritical(0)
PhaserV6.SetTargetable(1)
PhaserV6.SetPrimary(1)
PhaserV6.SetPosition(-0.060000, 1.520000, 0.060000)
PhaserV6.SetPosition2D(78.000000, 15.000000)
PhaserV6.SetRepairComplexity(3.000000)
PhaserV6.SetDisabledPercentage(0.750000)
PhaserV6.SetRadius(0.050000)
PhaserV6.SetDumbfire(0)
PhaserV6.SetWeaponID(6)
PhaserV6.SetGroups(4)
PhaserV6.SetDamageRadiusFactor(0.250000)
PhaserV6.SetIconNum(361)
PhaserV6.SetIconPositionX(5.000000)
PhaserV6.SetIconPositionY(26.000000)
PhaserV6.SetIconAboveShip(0)
PhaserV6.SetFireSound("Ambassador Phaser")
PhaserV6.SetMaxCharge(2.500000)
PhaserV6.SetMaxDamage(1100.000000)
PhaserV6.SetMaxDamageDistance(150.000000)
PhaserV6.SetMinFiringCharge(1.500000)
PhaserV6.SetNormalDischargeRate(1.000000)
PhaserV6.SetRechargeRate(0.500000)
PhaserV6.SetIndicatorIconNum(508)
PhaserV6.SetIndicatorIconPositionX(4.000000)
PhaserV6.SetIndicatorIconPositionY(26.000000)
PhaserV6Forward = App.TGPoint3()
PhaserV6Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
PhaserV6Up = App.TGPoint3()
PhaserV6Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserV6.SetOrientation(PhaserV6Forward, PhaserV6Up)
PhaserV6.SetWidth(1.810000)
PhaserV6.SetLength(1.242000)
PhaserV6.SetArcWidthAngles(-0.523599, 0.349066)
PhaserV6.SetArcHeightAngles(-0.034907, -1.745329)
PhaserV6.SetPhaserTextureStart(0)
PhaserV6.SetPhaserTextureEnd(7)
PhaserV6.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserV6.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserV6.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserV6.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserV6.SetInnerCoreColor(kColor)
PhaserV6.SetNumSides(6)
PhaserV6.SetMainRadius(0.090000)
PhaserV6.SetTaperRadius(0.020000)
PhaserV6.SetCoreScale(0.300000)
PhaserV6.SetTaperRatio(0.250000)
PhaserV6.SetTaperMinLength(30.000000)
PhaserV6.SetTaperMaxLength(30.000000)
PhaserV6.SetLengthTextureTilePerUnit(0.050000)
PhaserV6.SetPerimeterTile(1.000000)
PhaserV6.SetTextureSpeed(2.000000)
PhaserV6.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserV6)
#################################################
PhaserV7 = App.PhaserProperty_Create("Phaser V7")

PhaserV7.SetMaxCondition(1250.000000)
PhaserV7.SetCritical(0)
PhaserV7.SetTargetable(1)
PhaserV7.SetPrimary(1)
PhaserV7.SetPosition(0.060000, 1.520000, 0.060000)
PhaserV7.SetPosition2D(48.000000, 19.000000)
PhaserV7.SetRepairComplexity(3.000000)
PhaserV7.SetDisabledPercentage(0.750000)
PhaserV7.SetRadius(0.050000)
PhaserV7.SetDumbfire(0)
PhaserV7.SetWeaponID(6)
PhaserV7.SetGroups(8)
PhaserV7.SetDamageRadiusFactor(0.250000)
PhaserV7.SetIconNum(362)
PhaserV7.SetIconPositionX(139.000000)
PhaserV7.SetIconPositionY(26.000000)
PhaserV7.SetIconAboveShip(0)
PhaserV7.SetFireSound("Ambassador Phaser")
PhaserV7.SetMaxCharge(2.500000)
PhaserV7.SetMaxDamage(1100.000000)
PhaserV7.SetMaxDamageDistance(150.000000)
PhaserV7.SetMinFiringCharge(1.500000)
PhaserV7.SetNormalDischargeRate(1.000000)
PhaserV7.SetRechargeRate(0.500000)
PhaserV7.SetIndicatorIconNum(509)
PhaserV7.SetIndicatorIconPositionX(137.000000)
PhaserV7.SetIndicatorIconPositionY(26.000000)
PhaserV7Forward = App.TGPoint3()
PhaserV7Forward.SetXYZ(1.000000, 0.000000, 0.000000)
PhaserV7Up = App.TGPoint3()
PhaserV7Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserV7.SetOrientation(PhaserV7Forward, PhaserV7Up)
PhaserV7.SetWidth(1.810000)
PhaserV7.SetLength(1.242000)
PhaserV7.SetArcWidthAngles(0.523599, -0.349066)
PhaserV7.SetArcHeightAngles(-0.034907, -1.745329)
PhaserV7.SetPhaserTextureStart(0)
PhaserV7.SetPhaserTextureEnd(7)
PhaserV7.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserV7.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserV7.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserV7.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserV7.SetInnerCoreColor(kColor)
PhaserV7.SetNumSides(6)
PhaserV7.SetMainRadius(0.090000)
PhaserV7.SetTaperRadius(0.020000)
PhaserV7.SetCoreScale(0.300000)
PhaserV7.SetTaperRatio(0.250000)
PhaserV7.SetTaperMinLength(30.000000)
PhaserV7.SetTaperMaxLength(30.000000)
PhaserV7.SetLengthTextureTilePerUnit(0.050000)
PhaserV7.SetPerimeterTile(1.000000)
PhaserV7.SetTextureSpeed(2.000000)
PhaserV7.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserV7)
#################################################
PhaserVe7 = App.PhaserProperty_Create("Phaser Ve7")

PhaserVe7.SetMaxCondition(1250.000000)
PhaserVe7.SetCritical(0)
PhaserVe7.SetTargetable(1)
PhaserVe7.SetPrimary(1)
PhaserVe7.SetPosition(0.000000, 1.550000, -0.050000)
PhaserVe7.SetPosition2D(80.000000, 19.000000)
PhaserVe7.SetRepairComplexity(3.000000)
PhaserVe7.SetDisabledPercentage(0.750000)
PhaserVe7.SetRadius(0.050000)
PhaserVe7.SetDumbfire(0)
PhaserVe7.SetWeaponID(7)
PhaserVe7.SetGroups(4)
PhaserVe7.SetDamageRadiusFactor(0.250000)
PhaserVe7.SetIconNum(335)
PhaserVe7.SetIconPositionX(5.000000)
PhaserVe7.SetIconPositionY(54.000000)
PhaserVe7.SetIconAboveShip(0)
PhaserVe7.SetFireSound("Ambassador Phaser")
PhaserVe7.SetMaxCharge(2.000000)
PhaserVe7.SetMaxDamage(3000.000000)
PhaserVe7.SetMaxDamageDistance(150.000000)
PhaserVe7.SetMinFiringCharge(1.500000)
PhaserVe7.SetNormalDischargeRate(1.000000)
PhaserVe7.SetRechargeRate(0.500000)
PhaserVe7.SetIndicatorIconNum(514)
PhaserVe7.SetIndicatorIconPositionX(20.000000)
PhaserVe7.SetIndicatorIconPositionY(60.000000)
PhaserVe7Forward = App.TGPoint3()
PhaserVe7Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
PhaserVe7Up = App.TGPoint3()
PhaserVe7Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserVe7.SetOrientation(PhaserVe7Forward, PhaserVe7Up)
PhaserVe7.SetWidth(1.750000)
PhaserVe7.SetLength(1.250000)
PhaserVe7.SetArcWidthAngles(0.087266, 0.698132)
PhaserVe7.SetArcHeightAngles(0.087266, 0.000000)
PhaserVe7.SetPhaserTextureStart(0)
PhaserVe7.SetPhaserTextureEnd(7)
PhaserVe7.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserVe7.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserVe7.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserVe7.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserVe7.SetInnerCoreColor(kColor)
PhaserVe7.SetNumSides(6)
PhaserVe7.SetMainRadius(0.120000)
PhaserVe7.SetTaperRadius(0.020000)
PhaserVe7.SetCoreScale(0.300000)
PhaserVe7.SetTaperRatio(0.250000)
PhaserVe7.SetTaperMinLength(30.000000)
PhaserVe7.SetTaperMaxLength(30.000000)
PhaserVe7.SetLengthTextureTilePerUnit(0.050000)
PhaserVe7.SetPerimeterTile(1.000000)
PhaserVe7.SetTextureSpeed(2.000000)
PhaserVe7.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserVe7)
#################################################
PhaserVe8 = App.PhaserProperty_Create("Phaser Ve8")

PhaserVe8.SetMaxCondition(1250.000000)
PhaserVe8.SetCritical(0)
PhaserVe8.SetTargetable(1)
PhaserVe8.SetPrimary(1)
PhaserVe8.SetPosition(0.000000, 1.550000, -0.050000)
PhaserVe8.SetPosition2D(44.000000, 27.000000)
PhaserVe8.SetRepairComplexity(3.000000)
PhaserVe8.SetDisabledPercentage(0.750000)
PhaserVe8.SetRadius(0.050000)
PhaserVe8.SetDumbfire(0)
PhaserVe8.SetWeaponID(7)
PhaserVe8.SetGroups(8)
PhaserVe8.SetDamageRadiusFactor(0.250000)
PhaserVe8.SetIconNum(355)
PhaserVe8.SetIconPositionX(100.000000)
PhaserVe8.SetIconPositionY(54.000000)
PhaserVe8.SetIconAboveShip(0)
PhaserVe8.SetFireSound("Ambassador Phaser")
PhaserVe8.SetMaxCharge(2.000000)
PhaserVe8.SetMaxDamage(3000.000000)
PhaserVe8.SetMaxDamageDistance(150.000000)
PhaserVe8.SetMinFiringCharge(1.500000)
PhaserVe8.SetNormalDischargeRate(1.000000)
PhaserVe8.SetRechargeRate(0.500000)
PhaserVe8.SetIndicatorIconNum(515)
PhaserVe8.SetIndicatorIconPositionX(110.000000)
PhaserVe8.SetIndicatorIconPositionY(60.000000)
PhaserVe8Forward = App.TGPoint3()
PhaserVe8Forward.SetXYZ(1.000000, 0.000000, 0.000000)
PhaserVe8Up = App.TGPoint3()
PhaserVe8Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserVe8.SetOrientation(PhaserVe8Forward, PhaserVe8Up)
PhaserVe8.SetWidth(1.750000)
PhaserVe8.SetLength(1.250000)
PhaserVe8.SetArcWidthAngles(-0.087266, -0.698132)
PhaserVe8.SetArcHeightAngles(0.087266, 0.000000)
PhaserVe8.SetPhaserTextureStart(0)
PhaserVe8.SetPhaserTextureEnd(7)
PhaserVe8.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserVe8.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserVe8.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserVe8.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserVe8.SetInnerCoreColor(kColor)
PhaserVe8.SetNumSides(6)
PhaserVe8.SetMainRadius(0.120000)
PhaserVe8.SetTaperRadius(0.020000)
PhaserVe8.SetCoreScale(0.300000)
PhaserVe8.SetTaperRatio(0.250000)
PhaserVe8.SetTaperMinLength(30.000000)
PhaserVe8.SetTaperMaxLength(30.000000)
PhaserVe8.SetLengthTextureTilePerUnit(0.050000)
PhaserVe8.SetPerimeterTile(1.000000)
PhaserVe8.SetTextureSpeed(2.000000)
PhaserVe8.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserVe8)
#################################################
PhaserV8 = App.PhaserProperty_Create("Phaser V8")

PhaserV8.SetMaxCondition(1250.000000)
PhaserV8.SetCritical(0)
PhaserV8.SetTargetable(1)
PhaserV8.SetPrimary(1)
PhaserV8.SetPosition(0.660000, 0.440000, 0.000000)
PhaserV8.SetPosition2D(43.000000, 40.000000)
PhaserV8.SetRepairComplexity(3.000000)
PhaserV8.SetDisabledPercentage(0.750000)
PhaserV8.SetRadius(0.050000)
PhaserV8.SetDumbfire(1)
PhaserV8.SetWeaponID(11)
PhaserV8.SetGroups(8)
PhaserV8.SetDamageRadiusFactor(0.250000)
PhaserV8.SetIconNum(363)
PhaserV8.SetIconPositionX(100.000000)
PhaserV8.SetIconPositionY(90.000000)
PhaserV8.SetIconAboveShip(1)
PhaserV8.SetFireSound("Ambassador Phaser")
PhaserV8.SetMaxCharge(2.500000)
PhaserV8.SetMaxDamage(1100.000000)
PhaserV8.SetMaxDamageDistance(150.000000)
PhaserV8.SetMinFiringCharge(1.500000)
PhaserV8.SetNormalDischargeRate(1.000000)
PhaserV8.SetRechargeRate(0.500000)
PhaserV8.SetIndicatorIconNum(515)
PhaserV8.SetIndicatorIconPositionX(101.000000)
PhaserV8.SetIndicatorIconPositionY(86.000000)
PhaserV8Forward = App.TGPoint3()
PhaserV8Forward.SetXYZ(0.798636, -0.601815, 0.000000)
PhaserV8Up = App.TGPoint3()
PhaserV8Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserV8.SetOrientation(PhaserV8Forward, PhaserV8Up)
PhaserV8.SetWidth(0.400000)
PhaserV8.SetLength(0.140000)
PhaserV8.SetArcWidthAngles(-0.436332, 0.436332)
PhaserV8.SetArcHeightAngles(-1.745329, -0.087266)
PhaserV8.SetPhaserTextureStart(0)
PhaserV8.SetPhaserTextureEnd(7)
PhaserV8.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserV8.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserV8.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserV8.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserV8.SetInnerCoreColor(kColor)
PhaserV8.SetNumSides(6)
PhaserV8.SetMainRadius(0.090000)
PhaserV8.SetTaperRadius(0.020000)
PhaserV8.SetCoreScale(0.300000)
PhaserV8.SetTaperRatio(0.250000)
PhaserV8.SetTaperMinLength(30.000000)
PhaserV8.SetTaperMaxLength(30.000000)
PhaserV8.SetLengthTextureTilePerUnit(0.050000)
PhaserV8.SetPerimeterTile(1.000000)
PhaserV8.SetTextureSpeed(2.000000)
PhaserV8.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserV8)
#################################################
PhaserV9 = App.PhaserProperty_Create("Phaser V9")

PhaserV9.SetMaxCondition(1250.000000)
PhaserV9.SetCritical(0)
PhaserV9.SetTargetable(1)
PhaserV9.SetPrimary(1)
PhaserV9.SetPosition(-0.660000, 0.440000, 0.000000)
PhaserV9.SetPosition2D(86.000000, 39.000000)
PhaserV9.SetRepairComplexity(3.000000)
PhaserV9.SetDisabledPercentage(0.750000)
PhaserV9.SetRadius(0.050000)
PhaserV9.SetDumbfire(1)
PhaserV9.SetWeaponID(11)
PhaserV9.SetGroups(4)
PhaserV9.SetDamageRadiusFactor(0.250000)
PhaserV9.SetIconNum(363)
PhaserV9.SetIconPositionX(28.000000)
PhaserV9.SetIconPositionY(90.000000)
PhaserV9.SetIconAboveShip(1)
PhaserV9.SetFireSound("Ambassador Phaser")
PhaserV9.SetMaxCharge(2.500000)
PhaserV9.SetMaxDamage(900.000000)
PhaserV9.SetMaxDamageDistance(150.000000)
PhaserV9.SetMinFiringCharge(1.500000)
PhaserV9.SetNormalDischargeRate(1.000000)
PhaserV9.SetRechargeRate(0.500000)
PhaserV9.SetIndicatorIconNum(514)
PhaserV9.SetIndicatorIconPositionX(29.000000)
PhaserV9.SetIndicatorIconPositionY(86.000000)
PhaserV9Forward = App.TGPoint3()
PhaserV9Forward.SetXYZ(-0.798636, -0.601815, 0.000000)
PhaserV9Up = App.TGPoint3()
PhaserV9Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserV9.SetOrientation(PhaserV9Forward, PhaserV9Up)
PhaserV9.SetWidth(0.400000)
PhaserV9.SetLength(0.140000)
PhaserV9.SetArcWidthAngles(-0.436332, 0.436332)
PhaserV9.SetArcHeightAngles(-1.745329, -0.087266)
PhaserV9.SetPhaserTextureStart(0)
PhaserV9.SetPhaserTextureEnd(7)
PhaserV9.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserV9.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserV9.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserV9.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserV9.SetInnerCoreColor(kColor)
PhaserV9.SetNumSides(6)
PhaserV9.SetMainRadius(0.090000)
PhaserV9.SetTaperRadius(0.020000)
PhaserV9.SetCoreScale(0.300000)
PhaserV9.SetTaperRatio(0.250000)
PhaserV9.SetTaperMinLength(30.000000)
PhaserV9.SetTaperMaxLength(30.000000)
PhaserV9.SetLengthTextureTilePerUnit(0.050000)
PhaserV9.SetPerimeterTile(1.000000)
PhaserV9.SetTextureSpeed(2.000000)
PhaserV9.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserV9)
#################################################
RCSThruster1 = App.EngineProperty_Create("RCS Thruster 1")

RCSThruster1.SetMaxCondition(200.000000)
RCSThruster1.SetCritical(0)
RCSThruster1.SetTargetable(1)
RCSThruster1.SetPrimary(1)
RCSThruster1.SetPosition(1.200700, 2.508300, 0.000000)
RCSThruster1.SetPosition2D(15.000000, 15.000000)
RCSThruster1.SetRepairComplexity(1.000000)
RCSThruster1.SetDisabledPercentage(0.500000)
RCSThruster1.SetRadius(0.100000)
RCSThruster1.SetEngineType(RCSThruster1.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(RCSThruster1)
#################################################
RCSThruster2 = App.EngineProperty_Create("RCS Thruster 2")

RCSThruster2.SetMaxCondition(200.000000)
RCSThruster2.SetCritical(0)
RCSThruster2.SetTargetable(1)
RCSThruster2.SetPrimary(1)
RCSThruster2.SetPosition(-1.203570, 2.498750, 0.000000)
RCSThruster2.SetPosition2D(15.000000, 15.000000)
RCSThruster2.SetRepairComplexity(1.000000)
RCSThruster2.SetDisabledPercentage(0.500000)
RCSThruster2.SetRadius(0.100000)
RCSThruster2.SetEngineType(RCSThruster2.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(RCSThruster2)
#################################################
RCSThruster3 = App.EngineProperty_Create("RCS Thruster 3")

RCSThruster3.SetMaxCondition(200.000000)
RCSThruster3.SetCritical(0)
RCSThruster3.SetTargetable(1)
RCSThruster3.SetPrimary(1)
RCSThruster3.SetPosition(-1.178250, 0.487945, 0.000000)
RCSThruster3.SetPosition2D(15.000000, 15.000000)
RCSThruster3.SetRepairComplexity(1.000000)
RCSThruster3.SetDisabledPercentage(0.500000)
RCSThruster3.SetRadius(0.100000)
RCSThruster3.SetEngineType(RCSThruster3.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(RCSThruster3)
#################################################
RCSThruster4 = App.EngineProperty_Create("RCS Thruster 4")

RCSThruster4.SetMaxCondition(200.000000)
RCSThruster4.SetCritical(0)
RCSThruster4.SetTargetable(1)
RCSThruster4.SetPrimary(1)
RCSThruster4.SetPosition(1.185040, 0.489182, 0.000000)
RCSThruster4.SetPosition2D(15.000000, 15.000000)
RCSThruster4.SetRepairComplexity(1.000000)
RCSThruster4.SetDisabledPercentage(0.500000)
RCSThruster4.SetRadius(0.250000)
RCSThruster4.SetEngineType(RCSThruster4.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(RCSThruster4)
#################################################
RCSThruster5 = App.EngineProperty_Create("RCS Thruster 5")

RCSThruster5.SetMaxCondition(200.000000)
RCSThruster5.SetCritical(0)
RCSThruster5.SetTargetable(1)
RCSThruster5.SetPrimary(1)
RCSThruster5.SetPosition(-1.150820, -4.416570, 0.264128)
RCSThruster5.SetPosition2D(15.000000, 15.000000)
RCSThruster5.SetRepairComplexity(1.000000)
RCSThruster5.SetDisabledPercentage(0.500000)
RCSThruster5.SetRadius(0.100000)
RCSThruster5.SetEngineType(RCSThruster5.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(RCSThruster5)
#################################################
RCSThruster6 = App.EngineProperty_Create("RCS Thruster 6")

RCSThruster6.SetMaxCondition(200.000000)
RCSThruster6.SetCritical(0)
RCSThruster6.SetTargetable(1)
RCSThruster6.SetPrimary(1)
RCSThruster6.SetPosition(-1.007250, -4.412390, 0.265257)
RCSThruster6.SetPosition2D(15.000000, 15.000000)
RCSThruster6.SetRepairComplexity(1.000000)
RCSThruster6.SetDisabledPercentage(0.500000)
RCSThruster6.SetRadius(0.100000)
RCSThruster6.SetEngineType(RCSThruster6.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(RCSThruster6)
#################################################
RCSThruster7 = App.EngineProperty_Create("RCS Thruster 7")

RCSThruster7.SetMaxCondition(200.000000)
RCSThruster7.SetCritical(0)
RCSThruster7.SetTargetable(1)
RCSThruster7.SetPrimary(1)
RCSThruster7.SetPosition(1.005380, -4.412480, 0.263643)
RCSThruster7.SetPosition2D(15.000000, 15.000000)
RCSThruster7.SetRepairComplexity(1.000000)
RCSThruster7.SetDisabledPercentage(0.500000)
RCSThruster7.SetRadius(0.100000)
RCSThruster7.SetEngineType(RCSThruster7.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(RCSThruster7)
#################################################
RCSThruster8 = App.EngineProperty_Create("RCS Thruster 8")

RCSThruster8.SetMaxCondition(200.000000)
RCSThruster8.SetCritical(0)
RCSThruster8.SetTargetable(1)
RCSThruster8.SetPrimary(1)
RCSThruster8.SetPosition(1.151090, -4.414970, 0.261544)
RCSThruster8.SetPosition2D(15.000000, 15.000000)
RCSThruster8.SetRepairComplexity(1.000000)
RCSThruster8.SetDisabledPercentage(0.500000)
RCSThruster8.SetRadius(0.100000)
RCSThruster8.SetEngineType(RCSThruster8.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(RCSThruster8)
#################################################
TestGlow = App.EngineGlowProperty_Create("Test Glow")

App.g_kModelPropertyManager.RegisterLocalTemplate(TestGlow)
#################################################
SmokeTest = App.SmokeEmitterProperty_Create("Smoke Test")

SmokeTestForward = App.TGPoint3()
SmokeTestForward.SetXYZ(0.000000, 1.000000, 0.000000)
SmokeTestUp = App.TGPoint3()
SmokeTestUp.SetXYZ(0.000000, 0.000000, 1.000000)
SmokeTestRight = App.TGPoint3()
SmokeTestRight.SetXYZ(1.000000, 0.000000, 0.000000)
SmokeTest.SetOrientation(SmokeTestForward, SmokeTestUp, SmokeTestRight)
SmokeTestPosition = App.TGPoint3()
SmokeTestPosition.SetXYZ(0.000000, 1.662120, 0.392607)
SmokeTest.SetPosition(SmokeTestPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(SmokeTest)
#################################################
ShuttleBayOEP = App.ObjectEmitterProperty_Create("Shuttle Bay OEP")

ShuttleBayOEPForward = App.TGPoint3()
ShuttleBayOEPForward.SetXYZ(0.011110, -0.982093, 0.188069)
ShuttleBayOEPUp = App.TGPoint3()
ShuttleBayOEPUp.SetXYZ(-0.010051, 0.187960, 0.982125)
ShuttleBayOEPRight = App.TGPoint3()
ShuttleBayOEPRight.SetXYZ(-0.999888, -0.012802, -0.007782)
ShuttleBayOEP.SetOrientation(ShuttleBayOEPForward, ShuttleBayOEPUp, ShuttleBayOEPRight)
ShuttleBayOEPPosition = App.TGPoint3()
ShuttleBayOEPPosition.SetXYZ(0.000430, 0.037892, 0.199482)
ShuttleBayOEP.SetPosition(ShuttleBayOEPPosition)
ShuttleBayOEP.SetEmittedObjectType(ShuttleBayOEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBayOEP)
#################################################
ShuttleBay2OEP = App.ObjectEmitterProperty_Create("Shuttle Bay 2 OEP")

ShuttleBay2OEPForward = App.TGPoint3()
ShuttleBay2OEPForward.SetXYZ(0.012545, -0.999406, 0.032115)
ShuttleBay2OEPUp = App.TGPoint3()
ShuttleBay2OEPUp.SetXYZ(-0.008189, 0.032012, 0.999454)
ShuttleBay2OEPRight = App.TGPoint3()
ShuttleBay2OEPRight.SetXYZ(-0.999888, -0.012802, -0.007782)
ShuttleBay2OEP.SetOrientation(ShuttleBay2OEPForward, ShuttleBay2OEPUp, ShuttleBay2OEPRight)
ShuttleBay2OEPPosition = App.TGPoint3()
ShuttleBay2OEPPosition.SetXYZ(-0.001526, -2.403040, -0.119786)
ShuttleBay2OEP.SetPosition(ShuttleBay2OEPPosition)
ShuttleBay2OEP.SetEmittedObjectType(ShuttleBay2OEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay2OEP)
#################################################
PhaserD1 = App.PhaserProperty_Create("Phaser D1")

PhaserD1.SetMaxCondition(1250.000000)
PhaserD1.SetCritical(0)
PhaserD1.SetTargetable(1)
PhaserD1.SetPrimary(1)
PhaserD1.SetPosition(0.000000, 1.550000, 0.260000)
PhaserD1.SetPosition2D(65.000000, -2.000000)
PhaserD1.SetRepairComplexity(3.000000)
PhaserD1.SetDisabledPercentage(0.750000)
PhaserD1.SetRadius(0.050000)
PhaserD1.SetDumbfire(1)
PhaserD1.SetWeaponID(1)
PhaserD1.SetGroups(16)
PhaserD1.SetDamageRadiusFactor(0.250000)
PhaserD1.SetIconNum(364)
PhaserD1.SetIconPositionX(66.000000)
PhaserD1.SetIconPositionY(21.000000)
PhaserD1.SetIconAboveShip(1)
PhaserD1.SetFireSound("Ambassador Phaser")
PhaserD1.SetMaxCharge(2.500000)
PhaserD1.SetMaxDamage(1100.000000)
PhaserD1.SetMaxDamageDistance(150.000000)
PhaserD1.SetMinFiringCharge(1.500000)
PhaserD1.SetNormalDischargeRate(1.000000)
PhaserD1.SetRechargeRate(0.500000)
PhaserD1.SetIndicatorIconNum(510)
PhaserD1.SetIndicatorIconPositionX(60.000000)
PhaserD1.SetIndicatorIconPositionY(16.000000)
PhaserD1Forward = App.TGPoint3()
PhaserD1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
PhaserD1Up = App.TGPoint3()
PhaserD1Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserD1.SetOrientation(PhaserD1Forward, PhaserD1Up)
PhaserD1.SetWidth(0.800000)
PhaserD1.SetLength(1.300000)
PhaserD1.SetArcWidthAngles(-0.523599, 0.523599)
PhaserD1.SetArcHeightAngles(-0.052360, 1.745329)
PhaserD1.SetPhaserTextureStart(0)
PhaserD1.SetPhaserTextureEnd(7)
PhaserD1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserD1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserD1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserD1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserD1.SetInnerCoreColor(kColor)
PhaserD1.SetNumSides(6)
PhaserD1.SetMainRadius(0.090000)
PhaserD1.SetTaperRadius(0.020000)
PhaserD1.SetCoreScale(0.300000)
PhaserD1.SetTaperRatio(0.250000)
PhaserD1.SetTaperMinLength(30.000000)
PhaserD1.SetTaperMaxLength(30.000000)
PhaserD1.SetLengthTextureTilePerUnit(0.050000)
PhaserD1.SetPerimeterTile(1.000000)
PhaserD1.SetTextureSpeed(2.000000)
PhaserD1.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserD1)
#################################################
PhaserD2 = App.PhaserProperty_Create("Phaser D2")

PhaserD2.SetMaxCondition(1250.000000)
PhaserD2.SetCritical(0)
PhaserD2.SetTargetable(1)
PhaserD2.SetPrimary(1)
PhaserD2.SetPosition(0.000000, 1.550000, 0.260000)
PhaserD2.SetPosition2D(76.000000, -1.000000)
PhaserD2.SetRepairComplexity(3.000000)
PhaserD2.SetDisabledPercentage(0.750000)
PhaserD2.SetRadius(0.050000)
PhaserD2.SetDumbfire(1)
PhaserD2.SetWeaponID(2)
PhaserD2.SetGroups(16)
PhaserD2.SetDamageRadiusFactor(0.250000)
PhaserD2.SetIconNum(364)
PhaserD2.SetIconPositionX(82.000000)
PhaserD2.SetIconPositionY(20.000000)
PhaserD2.SetIconAboveShip(1)
PhaserD2.SetFireSound("Ambassador Phaser")
PhaserD2.SetMaxCharge(2.500000)
PhaserD2.SetMaxDamage(1100.000000)
PhaserD2.SetMaxDamageDistance(150.000000)
PhaserD2.SetMinFiringCharge(1.500000)
PhaserD2.SetNormalDischargeRate(1.000000)
PhaserD2.SetRechargeRate(0.500000)
PhaserD2.SetIndicatorIconNum(513)
PhaserD2.SetIndicatorIconPositionX(89.000000)
PhaserD2.SetIndicatorIconPositionY(16.000000)
PhaserD2Forward = App.TGPoint3()
PhaserD2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
PhaserD2Up = App.TGPoint3()
PhaserD2Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserD2.SetOrientation(PhaserD2Forward, PhaserD2Up)
PhaserD2.SetWidth(0.800000)
PhaserD2.SetLength(1.300000)
PhaserD2.SetArcWidthAngles(0.261799, 0.959931)
PhaserD2.SetArcHeightAngles(-0.052360, 1.745329)
PhaserD2.SetPhaserTextureStart(0)
PhaserD2.SetPhaserTextureEnd(7)
PhaserD2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserD2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserD2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserD2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserD2.SetInnerCoreColor(kColor)
PhaserD2.SetNumSides(6)
PhaserD2.SetMainRadius(0.090000)
PhaserD2.SetTaperRadius(0.020000)
PhaserD2.SetCoreScale(0.300000)
PhaserD2.SetTaperRatio(0.250000)
PhaserD2.SetTaperMinLength(30.000000)
PhaserD2.SetTaperMaxLength(30.000000)
PhaserD2.SetLengthTextureTilePerUnit(0.050000)
PhaserD2.SetPerimeterTile(1.000000)
PhaserD2.SetTextureSpeed(2.000000)
PhaserD2.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserD2)
#################################################
PhaserD3 = App.PhaserProperty_Create("Phaser D3")

PhaserD3.SetMaxCondition(1250.000000)
PhaserD3.SetCritical(0)
PhaserD3.SetTargetable(1)
PhaserD3.SetPrimary(1)
PhaserD3.SetPosition(0.000000, 1.550000, 0.260000)
PhaserD3.SetPosition2D(54.000000, -1.000000)
PhaserD3.SetRepairComplexity(3.000000)
PhaserD3.SetDisabledPercentage(0.750000)
PhaserD3.SetRadius(0.050000)
PhaserD3.SetDumbfire(1)
PhaserD3.SetWeaponID(3)
PhaserD3.SetGroups(16)
PhaserD3.SetDamageRadiusFactor(0.250000)
PhaserD3.SetIconNum(364)
PhaserD3.SetIconPositionX(49.000000)
PhaserD3.SetIconPositionY(21.000000)
PhaserD3.SetIconAboveShip(1)
PhaserD3.SetFireSound("Ambassador Phaser")
PhaserD3.SetMaxCharge(2.500000)
PhaserD3.SetMaxDamage(1100.000000)
PhaserD3.SetMaxDamageDistance(150.000000)
PhaserD3.SetMinFiringCharge(1.500000)
PhaserD3.SetNormalDischargeRate(1.000000)
PhaserD3.SetRechargeRate(0.500000)
PhaserD3.SetIndicatorIconNum(512)
PhaserD3.SetIndicatorIconPositionX(47.000000)
PhaserD3.SetIndicatorIconPositionY(17.000000)
PhaserD3Forward = App.TGPoint3()
PhaserD3Forward.SetXYZ(0.000000, 1.000000, 0.000000)
PhaserD3Up = App.TGPoint3()
PhaserD3Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserD3.SetOrientation(PhaserD3Forward, PhaserD3Up)
PhaserD3.SetWidth(0.800000)
PhaserD3.SetLength(1.300000)
PhaserD3.SetArcWidthAngles(-0.261799, -0.959931)
PhaserD3.SetArcHeightAngles(-0.052360, 1.745329)
PhaserD3.SetPhaserTextureStart(0)
PhaserD3.SetPhaserTextureEnd(7)
PhaserD3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserD3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserD3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserD3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserD3.SetInnerCoreColor(kColor)
PhaserD3.SetNumSides(6)
PhaserD3.SetMainRadius(0.090000)
PhaserD3.SetTaperRadius(0.020000)
PhaserD3.SetCoreScale(0.300000)
PhaserD3.SetTaperRatio(0.250000)
PhaserD3.SetTaperMinLength(30.000000)
PhaserD3.SetTaperMaxLength(30.000000)
PhaserD3.SetLengthTextureTilePerUnit(0.050000)
PhaserD3.SetPerimeterTile(1.000000)
PhaserD3.SetTextureSpeed(2.000000)
PhaserD3.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserD3)
#################################################
PhaserD4 = App.PhaserProperty_Create("Phaser D4")

PhaserD4.SetMaxCondition(1250.000000)
PhaserD4.SetCritical(0)
PhaserD4.SetTargetable(1)
PhaserD4.SetPrimary(1)
PhaserD4.SetPosition(0.000000, 1.550000, 0.260000)
PhaserD4.SetPosition2D(49.000000, 2.000000)
PhaserD4.SetRepairComplexity(3.000000)
PhaserD4.SetDisabledPercentage(0.750000)
PhaserD4.SetRadius(0.050000)
PhaserD4.SetDumbfire(1)
PhaserD4.SetWeaponID(1)
PhaserD4.SetGroups(8)
PhaserD4.SetDamageRadiusFactor(0.250000)
PhaserD4.SetIconNum(350)
PhaserD4.SetIconPositionX(90.000000)
PhaserD4.SetIconPositionY(20.000000)
PhaserD4.SetIconAboveShip(1)
PhaserD4.SetFireSound("Ambassador Phaser")
PhaserD4.SetMaxCharge(2.500000)
PhaserD4.SetMaxDamage(1100.000000)
PhaserD4.SetMaxDamageDistance(150.000000)
PhaserD4.SetMinFiringCharge(1.500000)
PhaserD4.SetNormalDischargeRate(1.000000)
PhaserD4.SetRechargeRate(0.500000)
PhaserD4.SetIndicatorIconNum(513)
PhaserD4.SetIndicatorIconPositionX(107.000000)
PhaserD4.SetIndicatorIconPositionY(21.000000)
PhaserD4Forward = App.TGPoint3()
PhaserD4Forward.SetXYZ(0.000000, 1.000000, 0.000000)
PhaserD4Up = App.TGPoint3()
PhaserD4Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserD4.SetOrientation(PhaserD4Forward, PhaserD4Up)
PhaserD4.SetWidth(0.800000)
PhaserD4.SetLength(1.300000)
PhaserD4.SetArcWidthAngles(0.698132, 1.396263)
PhaserD4.SetArcHeightAngles(-0.052360, 1.745329)
PhaserD4.SetPhaserTextureStart(0)
PhaserD4.SetPhaserTextureEnd(7)
PhaserD4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserD4.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserD4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserD4.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserD4.SetInnerCoreColor(kColor)
PhaserD4.SetNumSides(6)
PhaserD4.SetMainRadius(0.090000)
PhaserD4.SetTaperRadius(0.020000)
PhaserD4.SetCoreScale(0.300000)
PhaserD4.SetTaperRatio(0.250000)
PhaserD4.SetTaperMinLength(30.000000)
PhaserD4.SetTaperMaxLength(30.000000)
PhaserD4.SetLengthTextureTilePerUnit(0.050000)
PhaserD4.SetPerimeterTile(1.000000)
PhaserD4.SetTextureSpeed(2.000000)
PhaserD4.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserD4)
#################################################
PhaserD5 = App.PhaserProperty_Create("Phaser D5")

PhaserD5.SetMaxCondition(1250.000000)
PhaserD5.SetCritical(0)
PhaserD5.SetTargetable(1)
PhaserD5.SetPrimary(1)
PhaserD5.SetPosition(0.000000, 1.550000, 0.260000)
PhaserD5.SetPosition2D(82.000000, 3.000000)
PhaserD5.SetRepairComplexity(3.000000)
PhaserD5.SetDisabledPercentage(0.750000)
PhaserD5.SetRadius(0.050000)
PhaserD5.SetDumbfire(1)
PhaserD5.SetWeaponID(1)
PhaserD5.SetGroups(4)
PhaserD5.SetDamageRadiusFactor(0.250000)
PhaserD5.SetIconNum(330)
PhaserD5.SetIconPositionX(14.000000)
PhaserD5.SetIconPositionY(21.000000)
PhaserD5.SetIconAboveShip(1)
PhaserD5.SetFireSound("Ambassador Phaser")
PhaserD5.SetMaxCharge(2.500000)
PhaserD5.SetMaxDamage(1100.000000)
PhaserD5.SetMaxDamageDistance(150.000000)
PhaserD5.SetMinFiringCharge(1.500000)
PhaserD5.SetNormalDischargeRate(1.000000)
PhaserD5.SetRechargeRate(0.500000)
PhaserD5.SetIndicatorIconNum(512)
PhaserD5.SetIndicatorIconPositionX(22.000000)
PhaserD5.SetIndicatorIconPositionY(22.000000)
PhaserD5Forward = App.TGPoint3()
PhaserD5Forward.SetXYZ(0.000000, 1.000000, 0.000000)
PhaserD5Up = App.TGPoint3()
PhaserD5Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserD5.SetOrientation(PhaserD5Forward, PhaserD5Up)
PhaserD5.SetWidth(0.800000)
PhaserD5.SetLength(1.300000)
PhaserD5.SetArcWidthAngles(-0.698132, -1.396263)
PhaserD5.SetArcHeightAngles(-0.052360, 1.745329)
PhaserD5.SetPhaserTextureStart(0)
PhaserD5.SetPhaserTextureEnd(7)
PhaserD5.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserD5.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserD5.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserD5.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserD5.SetInnerCoreColor(kColor)
PhaserD5.SetNumSides(6)
PhaserD5.SetMainRadius(0.090000)
PhaserD5.SetTaperRadius(0.020000)
PhaserD5.SetCoreScale(0.300000)
PhaserD5.SetTaperRatio(0.250000)
PhaserD5.SetTaperMinLength(30.000000)
PhaserD5.SetTaperMaxLength(30.000000)
PhaserD5.SetLengthTextureTilePerUnit(0.050000)
PhaserD5.SetPerimeterTile(1.000000)
PhaserD5.SetTextureSpeed(2.000000)
PhaserD5.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserD5)
#################################################
PhaserD6 = App.PhaserProperty_Create("Phaser D6")

PhaserD6.SetMaxCondition(1250.000000)
PhaserD6.SetCritical(0)
PhaserD6.SetTargetable(1)
PhaserD6.SetPrimary(1)
PhaserD6.SetPosition(0.000000, 1.550000, 0.260000)
PhaserD6.SetPosition2D(43.000000, 8.000000)
PhaserD6.SetRepairComplexity(3.000000)
PhaserD6.SetDisabledPercentage(0.750000)
PhaserD6.SetRadius(0.050000)
PhaserD6.SetDumbfire(1)
PhaserD6.SetWeaponID(2)
PhaserD6.SetGroups(8)
PhaserD6.SetDamageRadiusFactor(0.250000)
PhaserD6.SetIconNum(362)
PhaserD6.SetIconPositionX(129.000000)
PhaserD6.SetIconPositionY(26.000000)
PhaserD6.SetIconAboveShip(1)
PhaserD6.SetFireSound("Ambassador Phaser")
PhaserD6.SetMaxCharge(2.500000)
PhaserD6.SetMaxDamage(1100.000000)
PhaserD6.SetMaxDamageDistance(150.000000)
PhaserD6.SetMinFiringCharge(1.500000)
PhaserD6.SetNormalDischargeRate(1.000000)
PhaserD6.SetRechargeRate(0.500000)
PhaserD6.SetIndicatorIconNum(509)
PhaserD6.SetIndicatorIconPositionX(127.000000)
PhaserD6.SetIndicatorIconPositionY(25.000000)
PhaserD6Forward = App.TGPoint3()
PhaserD6Forward.SetXYZ(0.000000, 1.000000, 0.000000)
PhaserD6Up = App.TGPoint3()
PhaserD6Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserD6.SetOrientation(PhaserD6Forward, PhaserD6Up)
PhaserD6.SetWidth(0.800000)
PhaserD6.SetLength(1.300000)
PhaserD6.SetArcWidthAngles(1.378810, 1.832596)
PhaserD6.SetArcHeightAngles(-0.052360, 1.745329)
PhaserD6.SetPhaserTextureStart(0)
PhaserD6.SetPhaserTextureEnd(7)
PhaserD6.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserD6.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserD6.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserD6.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserD6.SetInnerCoreColor(kColor)
PhaserD6.SetNumSides(6)
PhaserD6.SetMainRadius(0.090000)
PhaserD6.SetTaperRadius(0.020000)
PhaserD6.SetCoreScale(0.300000)
PhaserD6.SetTaperRatio(0.250000)
PhaserD6.SetTaperMinLength(30.000000)
PhaserD6.SetTaperMaxLength(30.000000)
PhaserD6.SetLengthTextureTilePerUnit(0.050000)
PhaserD6.SetPerimeterTile(1.000000)
PhaserD6.SetTextureSpeed(2.000000)
PhaserD6.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserD6)
#################################################
PhaserD7 = App.PhaserProperty_Create("Phaser D7")

PhaserD7.SetMaxCondition(1250.000000)
PhaserD7.SetCritical(0)
PhaserD7.SetTargetable(1)
PhaserD7.SetPrimary(1)
PhaserD7.SetPosition(0.000000, 1.550000, 0.260000)
PhaserD7.SetPosition2D(88.000000, 9.000000)
PhaserD7.SetRepairComplexity(3.000000)
PhaserD7.SetDisabledPercentage(0.750000)
PhaserD7.SetRadius(0.050000)
PhaserD7.SetDumbfire(1)
PhaserD7.SetWeaponID(2)
PhaserD7.SetGroups(4)
PhaserD7.SetDamageRadiusFactor(0.250000)
PhaserD7.SetIconNum(361)
PhaserD7.SetIconPositionX(15.000000)
PhaserD7.SetIconPositionY(27.000000)
PhaserD7.SetIconAboveShip(1)
PhaserD7.SetFireSound("Ambassador Phaser")
PhaserD7.SetMaxCharge(2.500000)
PhaserD7.SetMaxDamage(1100.000000)
PhaserD7.SetMaxDamageDistance(150.000000)
PhaserD7.SetMinFiringCharge(1.500000)
PhaserD7.SetNormalDischargeRate(1.000000)
PhaserD7.SetRechargeRate(0.500000)
PhaserD7.SetIndicatorIconNum(508)
PhaserD7.SetIndicatorIconPositionX(14.000000)
PhaserD7.SetIndicatorIconPositionY(26.000000)
PhaserD7Forward = App.TGPoint3()
PhaserD7Forward.SetXYZ(0.000000, 1.000000, 0.000000)
PhaserD7Up = App.TGPoint3()
PhaserD7Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserD7.SetOrientation(PhaserD7Forward, PhaserD7Up)
PhaserD7.SetWidth(0.800000)
PhaserD7.SetLength(1.300000)
PhaserD7.SetArcWidthAngles(-1.378810, -1.832596)
PhaserD7.SetArcHeightAngles(-0.052360, 1.745329)
PhaserD7.SetPhaserTextureStart(0)
PhaserD7.SetPhaserTextureEnd(7)
PhaserD7.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserD7.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserD7.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserD7.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserD7.SetInnerCoreColor(kColor)
PhaserD7.SetNumSides(6)
PhaserD7.SetMainRadius(0.090000)
PhaserD7.SetTaperRadius(0.020000)
PhaserD7.SetCoreScale(0.300000)
PhaserD7.SetTaperRatio(0.250000)
PhaserD7.SetTaperMinLength(30.000000)
PhaserD7.SetTaperMaxLength(30.000000)
PhaserD7.SetLengthTextureTilePerUnit(0.050000)
PhaserD7.SetPerimeterTile(1.000000)
PhaserD7.SetTextureSpeed(2.000000)
PhaserD7.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserD7)
#################################################
PhaserD8 = App.PhaserProperty_Create("Phaser D8")

PhaserD8.SetMaxCondition(1250.000000)
PhaserD8.SetCritical(0)
PhaserD8.SetTargetable(1)
PhaserD8.SetPrimary(1)
PhaserD8.SetPosition(-0.280000, 0.910000, 0.300000)
PhaserD8.SetPosition2D(84.000000, 26.000000)
PhaserD8.SetRepairComplexity(3.000000)
PhaserD8.SetDisabledPercentage(0.750000)
PhaserD8.SetRadius(0.050000)
PhaserD8.SetDumbfire(1)
PhaserD8.SetWeaponID(8)
PhaserD8.SetGroups(4)
PhaserD8.SetDamageRadiusFactor(0.250000)
PhaserD8.SetIconNum(363)
PhaserD8.SetIconPositionX(33.000000)
PhaserD8.SetIconPositionY(56.000000)
PhaserD8.SetIconAboveShip(1)
PhaserD8.SetFireSound("Ambassador Phaser")
PhaserD8.SetMaxCharge(2.500000)
PhaserD8.SetMaxDamage(1000.000000)
PhaserD8.SetMaxDamageDistance(150.000000)
PhaserD8.SetMinFiringCharge(1.500000)
PhaserD8.SetNormalDischargeRate(1.000000)
PhaserD8.SetRechargeRate(0.500000)
PhaserD8.SetIndicatorIconNum(514)
PhaserD8.SetIndicatorIconPositionX(33.000000)
PhaserD8.SetIndicatorIconPositionY(51.000000)
PhaserD8Forward = App.TGPoint3()
PhaserD8Forward.SetXYZ(-0.857167, -0.515038, 0.000000)
PhaserD8Up = App.TGPoint3()
PhaserD8Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserD8.SetOrientation(PhaserD8Forward, PhaserD8Up)
PhaserD8.SetWidth(0.640000)
PhaserD8.SetLength(0.375000)
PhaserD8.SetArcWidthAngles(-0.209440, 0.523599)
PhaserD8.SetArcHeightAngles(0.174533, 1.745329)
PhaserD8.SetPhaserTextureStart(0)
PhaserD8.SetPhaserTextureEnd(7)
PhaserD8.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserD8.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserD8.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserD8.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserD8.SetInnerCoreColor(kColor)
PhaserD8.SetNumSides(6)
PhaserD8.SetMainRadius(0.090000)
PhaserD8.SetTaperRadius(0.020000)
PhaserD8.SetCoreScale(0.300000)
PhaserD8.SetTaperRatio(0.250000)
PhaserD8.SetTaperMinLength(30.000000)
PhaserD8.SetTaperMaxLength(30.000000)
PhaserD8.SetLengthTextureTilePerUnit(0.050000)
PhaserD8.SetPerimeterTile(1.000000)
PhaserD8.SetTextureSpeed(2.000000)
PhaserD8.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserD8)
#################################################
PhaserD9 = App.PhaserProperty_Create("Phaser D9")

PhaserD9.SetMaxCondition(1250.000000)
PhaserD9.SetCritical(0)
PhaserD9.SetTargetable(1)
PhaserD9.SetPrimary(1)
PhaserD9.SetPosition(0.270000, 0.910000, 0.300000)
PhaserD9.SetPosition2D(38.000000, 29.000000)
PhaserD9.SetRepairComplexity(3.000000)
PhaserD9.SetDisabledPercentage(0.750000)
PhaserD9.SetRadius(0.050000)
PhaserD9.SetDumbfire(1)
PhaserD9.SetWeaponID(8)
PhaserD9.SetGroups(8)
PhaserD9.SetDamageRadiusFactor(0.250000)
PhaserD9.SetIconNum(363)
PhaserD9.SetIconPositionX(97.000000)
PhaserD9.SetIconPositionY(55.000000)
PhaserD9.SetIconAboveShip(1)
PhaserD9.SetFireSound("Ambassador Phaser")
PhaserD9.SetMaxCharge(2.500000)
PhaserD9.SetMaxDamage(1000.000000)
PhaserD9.SetMaxDamageDistance(150.000000)
PhaserD9.SetMinFiringCharge(1.500000)
PhaserD9.SetNormalDischargeRate(1.000000)
PhaserD9.SetRechargeRate(0.500000)
PhaserD9.SetIndicatorIconNum(515)
PhaserD9.SetIndicatorIconPositionX(101.000000)
PhaserD9.SetIndicatorIconPositionY(50.000000)
PhaserD9Forward = App.TGPoint3()
PhaserD9Forward.SetXYZ(0.857167, -0.515038, 0.000000)
PhaserD9Up = App.TGPoint3()
PhaserD9Up.SetXYZ(0.000000, 0.000000, 1.000000)
PhaserD9.SetOrientation(PhaserD9Forward, PhaserD9Up)
PhaserD9.SetWidth(0.640000)
PhaserD9.SetLength(0.375000)
PhaserD9.SetArcWidthAngles(-0.523599, 0.209440)
PhaserD9.SetArcHeightAngles(0.174533, 1.745329)
PhaserD9.SetPhaserTextureStart(0)
PhaserD9.SetPhaserTextureEnd(7)
PhaserD9.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserD9.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserD9.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserD9.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserD9.SetInnerCoreColor(kColor)
PhaserD9.SetNumSides(6)
PhaserD9.SetMainRadius(0.090000)
PhaserD9.SetTaperRadius(0.020000)
PhaserD9.SetCoreScale(0.300000)
PhaserD9.SetTaperRatio(0.250000)
PhaserD9.SetTaperMinLength(30.000000)
PhaserD9.SetTaperMaxLength(30.000000)
PhaserD9.SetLengthTextureTilePerUnit(0.050000)
PhaserD9.SetPerimeterTile(1.000000)
PhaserD9.SetTextureSpeed(2.000000)
PhaserD9.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserD9)
#################################################
PhaserD10 = App.PhaserProperty_Create("Phaser D10")

PhaserD10.SetMaxCondition(1250.000000)
PhaserD10.SetCritical(0)
PhaserD10.SetTargetable(1)
PhaserD10.SetPrimary(1)
PhaserD10.SetPosition(0.220000, 0.505000, 0.280000)
PhaserD10.SetPosition2D(92.000000, 31.000000)
PhaserD10.SetRepairComplexity(3.000000)
PhaserD10.SetDisabledPercentage(0.750000)
PhaserD10.SetRadius(0.050000)
PhaserD10.SetDumbfire(1)
PhaserD10.SetWeaponID(9)
PhaserD10.SetGroups(8)
PhaserD10.SetDamageRadiusFactor(0.250000)
PhaserD10.SetIconNum(363)
PhaserD10.SetIconPositionX(81.000000)
PhaserD10.SetIconPositionY(64.000000)
PhaserD10.SetIconAboveShip(1)
PhaserD10.SetFireSound("Ambassador Phaser")
PhaserD10.SetMaxCharge(2.500000)
PhaserD10.SetMaxDamage(1000.000000)
PhaserD10.SetMaxDamageDistance(150.000000)
PhaserD10.SetMinFiringCharge(1.500000)
PhaserD10.SetNormalDischargeRate(1.000000)
PhaserD10.SetRechargeRate(0.500000)
PhaserD10.SetIndicatorIconNum(515)
PhaserD10.SetIndicatorIconPositionX(83.000000)
PhaserD10.SetIndicatorIconPositionY(59.000000)
PhaserD10Forward = App.TGPoint3()
PhaserD10Forward.SetXYZ(0.438371, -0.898794, 0.000000)
PhaserD10Up = App.TGPoint3()
PhaserD10Up.SetXYZ(-0.031367, -0.015299, 0.999391)
PhaserD10.SetOrientation(PhaserD10Forward, PhaserD10Up)
PhaserD10.SetWidth(0.400000)
PhaserD10.SetLength(0.140000)
PhaserD10.SetArcWidthAngles(-0.087266, 0.296706)
PhaserD10.SetArcHeightAngles(0.174533, 1.745329)
PhaserD10.SetPhaserTextureStart(0)
PhaserD10.SetPhaserTextureEnd(7)
PhaserD10.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserD10.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserD10.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserD10.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserD10.SetInnerCoreColor(kColor)
PhaserD10.SetNumSides(6)
PhaserD10.SetMainRadius(0.090000)
PhaserD10.SetTaperRadius(0.020000)
PhaserD10.SetCoreScale(0.300000)
PhaserD10.SetTaperRatio(0.250000)
PhaserD10.SetTaperMinLength(30.000000)
PhaserD10.SetTaperMaxLength(30.000000)
PhaserD10.SetLengthTextureTilePerUnit(0.050000)
PhaserD10.SetPerimeterTile(1.000000)
PhaserD10.SetTextureSpeed(2.000000)
PhaserD10.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserD10)
#################################################
PhaserD11 = App.PhaserProperty_Create("Phaser D11")

PhaserD11.SetMaxCondition(1250.000000)
PhaserD11.SetCritical(0)
PhaserD11.SetTargetable(1)
PhaserD11.SetPrimary(1)
PhaserD11.SetPosition(-0.220000, 0.505000, 0.280000)
PhaserD11.SetPosition2D(50.000000, 38.000000)
PhaserD11.SetRepairComplexity(3.000000)
PhaserD11.SetDisabledPercentage(0.750000)
PhaserD11.SetRadius(0.050000)
PhaserD11.SetDumbfire(1)
PhaserD11.SetWeaponID(9)
PhaserD11.SetGroups(4)
PhaserD11.SetDamageRadiusFactor(0.250000)
PhaserD11.SetIconNum(363)
PhaserD11.SetIconPositionX(42.000000)
PhaserD11.SetIconPositionY(64.000000)
PhaserD11.SetIconAboveShip(1)
PhaserD11.SetFireSound("Ambassador Phaser")
PhaserD11.SetMaxCharge(2.500000)
PhaserD11.SetMaxDamage(1000.000000)
PhaserD11.SetMaxDamageDistance(150.000000)
PhaserD11.SetMinFiringCharge(1.500000)
PhaserD11.SetNormalDischargeRate(1.000000)
PhaserD11.SetRechargeRate(0.500000)
PhaserD11.SetIndicatorIconNum(514)
PhaserD11.SetIndicatorIconPositionX(47.000000)
PhaserD11.SetIndicatorIconPositionY(59.000000)
PhaserD11Forward = App.TGPoint3()
PhaserD11Forward.SetXYZ(-0.438371, -0.898794, 0.000000)
PhaserD11Up = App.TGPoint3()
PhaserD11Up.SetXYZ(0.015686, -0.007651, 0.999848)
PhaserD11.SetOrientation(PhaserD11Forward, PhaserD11Up)
PhaserD11.SetWidth(0.400000)
PhaserD11.SetLength(0.140000)
PhaserD11.SetArcWidthAngles(-0.296706, 0.087266)
PhaserD11.SetArcHeightAngles(0.174533, 1.745329)
PhaserD11.SetPhaserTextureStart(0)
PhaserD11.SetPhaserTextureEnd(7)
PhaserD11.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserD11.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserD11.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserD11.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserD11.SetInnerCoreColor(kColor)
PhaserD11.SetNumSides(6)
PhaserD11.SetMainRadius(0.090000)
PhaserD11.SetTaperRadius(0.020000)
PhaserD11.SetCoreScale(0.300000)
PhaserD11.SetTaperRatio(0.250000)
PhaserD11.SetTaperMinLength(30.000000)
PhaserD11.SetTaperMaxLength(30.000000)
PhaserD11.SetLengthTextureTilePerUnit(0.050000)
PhaserD11.SetPerimeterTile(1.000000)
PhaserD11.SetTextureSpeed(2.000000)
PhaserD11.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserD11)
#################################################
PhaserD12 = App.PhaserProperty_Create("Phaser D12")

PhaserD12.SetMaxCondition(1250.000000)
PhaserD12.SetCritical(0)
PhaserD12.SetTargetable(1)
PhaserD12.SetPrimary(1)
PhaserD12.SetPosition(-0.880000, 0.288000, 0.130000)
PhaserD12.SetPosition2D(79.000000, 39.000000)
PhaserD12.SetRepairComplexity(3.000000)
PhaserD12.SetDisabledPercentage(0.750000)
PhaserD12.SetRadius(0.050000)
PhaserD12.SetDumbfire(1)
PhaserD12.SetWeaponID(10)
PhaserD12.SetGroups(4)
PhaserD12.SetDamageRadiusFactor(0.250000)
PhaserD12.SetIconNum(363)
PhaserD12.SetIconPositionX(33.000000)
PhaserD12.SetIconPositionY(79.000000)
PhaserD12.SetIconAboveShip(1)
PhaserD12.SetFireSound("Ambassador Phaser")
PhaserD12.SetMaxCharge(2.500000)
PhaserD12.SetMaxDamage(1000.000000)
PhaserD12.SetMaxDamageDistance(150.000000)
PhaserD12.SetMinFiringCharge(1.500000)
PhaserD12.SetNormalDischargeRate(1.000000)
PhaserD12.SetRechargeRate(0.500000)
PhaserD12.SetIndicatorIconNum(514)
PhaserD12.SetIndicatorIconPositionX(34.000000)
PhaserD12.SetIndicatorIconPositionY(75.000000)
PhaserD12Forward = App.TGPoint3()
PhaserD12Forward.SetXYZ(-0.809035, -0.587758, -0.001826)
PhaserD12Up = App.TGPoint3()
PhaserD12Up.SetXYZ(0.019008, -0.029269, 0.999391)
PhaserD12.SetOrientation(PhaserD12Forward, PhaserD12Up)
PhaserD12.SetWidth(0.400000)
PhaserD12.SetLength(0.140000)
PhaserD12.SetArcWidthAngles(-0.349066, 0.349066)
PhaserD12.SetArcHeightAngles(-0.174533, 1.047198)
PhaserD12.SetPhaserTextureStart(0)
PhaserD12.SetPhaserTextureEnd(7)
PhaserD12.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserD12.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserD12.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserD12.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserD12.SetInnerCoreColor(kColor)
PhaserD12.SetNumSides(6)
PhaserD12.SetMainRadius(0.090000)
PhaserD12.SetTaperRadius(0.020000)
PhaserD12.SetCoreScale(0.300000)
PhaserD12.SetTaperRatio(0.250000)
PhaserD12.SetTaperMinLength(30.000000)
PhaserD12.SetTaperMaxLength(30.000000)
PhaserD12.SetLengthTextureTilePerUnit(0.050000)
PhaserD12.SetPerimeterTile(1.000000)
PhaserD12.SetTextureSpeed(2.000000)
PhaserD12.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserD12)
#################################################
PhaserD13 = App.PhaserProperty_Create("Phaser D13")

PhaserD13.SetMaxCondition(1250.000000)
PhaserD13.SetCritical(0)
PhaserD13.SetTargetable(1)
PhaserD13.SetPrimary(1)
PhaserD13.SetPosition(0.870000, 0.288000, 0.130000)
PhaserD13.SetPosition2D(65.000000, -2.000000)
PhaserD13.SetRepairComplexity(3.000000)
PhaserD13.SetDisabledPercentage(0.750000)
PhaserD13.SetRadius(0.050000)
PhaserD13.SetDumbfire(1)
PhaserD13.SetWeaponID(10)
PhaserD13.SetGroups(8)
PhaserD13.SetDamageRadiusFactor(0.250000)
PhaserD13.SetIconNum(363)
PhaserD13.SetIconPositionX(95.000000)
PhaserD13.SetIconPositionY(79.000000)
PhaserD13.SetIconAboveShip(1)
PhaserD13.SetFireSound("Ambassador Phaser")
PhaserD13.SetMaxCharge(2.500000)
PhaserD13.SetMaxDamage(1000.000000)
PhaserD13.SetMaxDamageDistance(150.000000)
PhaserD13.SetMinFiringCharge(1.500000)
PhaserD13.SetNormalDischargeRate(1.000000)
PhaserD13.SetRechargeRate(0.500000)
PhaserD13.SetIndicatorIconNum(515)
PhaserD13.SetIndicatorIconPositionX(96.000000)
PhaserD13.SetIndicatorIconPositionY(75.000000)
PhaserD13Forward = App.TGPoint3()
PhaserD13Forward.SetXYZ(0.809035, -0.587758, -0.001826)
PhaserD13Up = App.TGPoint3()
PhaserD13Up.SetXYZ(-0.009505, -0.014637, 0.999848)
PhaserD13.SetOrientation(PhaserD13Forward, PhaserD13Up)
PhaserD13.SetWidth(0.400000)
PhaserD13.SetLength(0.140000)
PhaserD13.SetArcWidthAngles(-0.349066, 0.349066)
PhaserD13.SetArcHeightAngles(-0.174533, 1.047198)
PhaserD13.SetPhaserTextureStart(0)
PhaserD13.SetPhaserTextureEnd(7)
PhaserD13.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserD13.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserD13.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserD13.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserD13.SetInnerCoreColor(kColor)
PhaserD13.SetNumSides(6)
PhaserD13.SetMainRadius(0.090000)
PhaserD13.SetTaperRadius(0.020000)
PhaserD13.SetCoreScale(0.300000)
PhaserD13.SetTaperRatio(0.250000)
PhaserD13.SetTaperMinLength(30.000000)
PhaserD13.SetTaperMaxLength(30.000000)
PhaserD13.SetLengthTextureTilePerUnit(0.050000)
PhaserD13.SetPerimeterTile(1.000000)
PhaserD13.SetTextureSpeed(2.000000)
PhaserD13.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserD13)
#################################################
PhaserV1 = App.PhaserProperty_Create("Phaser V1")

PhaserV1.SetMaxCondition(1250.000000)
PhaserV1.SetCritical(0)
PhaserV1.SetTargetable(1)
PhaserV1.SetPrimary(1)
PhaserV1.SetPosition(0.000000, 0.110000, -0.100000)
PhaserV1.SetPosition2D(64.000000, 53.000000)
PhaserV1.SetRepairComplexity(3.000000)
PhaserV1.SetDisabledPercentage(0.750000)
PhaserV1.SetRadius(0.050000)
PhaserV1.SetDumbfire(0)
PhaserV1.SetWeaponID(1)
PhaserV1.SetGroups(1)
PhaserV1.SetDamageRadiusFactor(0.250000)
PhaserV1.SetIconNum(363)
PhaserV1.SetIconPositionX(65.000000)
PhaserV1.SetIconPositionY(74.000000)
PhaserV1.SetIconAboveShip(0)
PhaserV1.SetFireSound("Ambassador Phaser")
PhaserV1.SetMaxCharge(2.500000)
PhaserV1.SetMaxDamage(1100.000000)
PhaserV1.SetMaxDamageDistance(150.000000)
PhaserV1.SetMinFiringCharge(1.500000)
PhaserV1.SetNormalDischargeRate(1.000000)
PhaserV1.SetRechargeRate(0.500000)
PhaserV1.SetIndicatorIconNum(511)
PhaserV1.SetIndicatorIconPositionX(59.000000)
PhaserV1.SetIndicatorIconPositionY(69.000000)
PhaserV1Forward = App.TGPoint3()
PhaserV1Forward.SetXYZ(0.000000, 0.000000, -1.000000)
PhaserV1Up = App.TGPoint3()
PhaserV1Up.SetXYZ(0.000000, -1.000000, 0.000000)
PhaserV1.SetOrientation(PhaserV1Forward, PhaserV1Up)
PhaserV1.SetWidth(0.340000)
PhaserV1.SetLength(0.360000)
PhaserV1.SetArcWidthAngles(-0.698132, 0.698132)
PhaserV1.SetArcHeightAngles(-0.785398, 0.785398)
PhaserV1.SetPhaserTextureStart(0)
PhaserV1.SetPhaserTextureEnd(7)
PhaserV1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
PhaserV1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
PhaserV1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
PhaserV1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
PhaserV1.SetInnerCoreColor(kColor)
PhaserV1.SetNumSides(6)
PhaserV1.SetMainRadius(0.090000)
PhaserV1.SetTaperRadius(0.020000)
PhaserV1.SetCoreScale(0.300000)
PhaserV1.SetTaperRatio(0.250000)
PhaserV1.SetTaperMinLength(30.000000)
PhaserV1.SetTaperMaxLength(30.000000)
PhaserV1.SetLengthTextureTilePerUnit(0.050000)
PhaserV1.SetPerimeterTile(1.000000)
PhaserV1.SetTextureSpeed(2.000000)
PhaserV1.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PhaserV1)
#################################################
TorpedoTubes = App.TorpedoSystemProperty_Create("Torpedo Tubes")

TorpedoTubes.SetMaxCondition(20000.000000)
TorpedoTubes.SetCritical(0)
TorpedoTubes.SetTargetable(0)
TorpedoTubes.SetPrimary(1)
TorpedoTubes.SetPosition(0.000000, 0.020000, -0.040000)
TorpedoTubes.SetPosition2D(64.000000, 20.000000)
TorpedoTubes.SetRepairComplexity(3.000000)
TorpedoTubes.SetDisabledPercentage(0.750000)
TorpedoTubes.SetRadius(0.100000)
TorpedoTubes.SetNormalPowerPerSecond(200.000000)
TorpedoTubes.SetWeaponSystemType(TorpedoTubes.WST_TORPEDO)
TorpedoTubes.SetSingleFire(0)
TorpedoTubes.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("0;Single;5;Spread")
TorpedoTubes.SetFiringChainString(kFiringChainString)
TorpedoTubes.SetMaxTorpedoes(0, 200)
TorpedoTubes.SetTorpedoScript(0, "Tactical.Projectiles.WC_FCphoton")
TorpedoTubes.SetNumAmmoTypes(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoTubes)
#################################################
TubeF1 = App.TorpedoTubeProperty_Create("Tube F1")

TubeF1.SetMaxCondition(2200.000000)
TubeF1.SetCritical(0)
TubeF1.SetTargetable(1)
TubeF1.SetPrimary(1)
TubeF1.SetPosition(-0.027245, 0.367145, -0.376258)
TubeF1.SetPosition2D(57.000000, 9.000000)
TubeF1.SetRepairComplexity(3.000000)
TubeF1.SetDisabledPercentage(0.750000)
TubeF1.SetRadius(0.040000)
TubeF1.SetDumbfire(1)
TubeF1.SetWeaponID(5)
TubeF1.SetGroups(16)
TubeF1.SetDamageRadiusFactor(0.200000)
TubeF1.SetIconNum(370)
TubeF1.SetIconPositionX(80.000000)
TubeF1.SetIconPositionY(48.000000)
TubeF1.SetIconAboveShip(1)
TubeF1.SetImmediateDelay(2.000000)
TubeF1.SetReloadDelay(20.000000)
TubeF1.SetMaxReady(2)
TubeF1Direction = App.TGPoint3()
TubeF1Direction.SetXYZ(0.000000, 1.000000, 0.000000)
TubeF1.SetDirection(TubeF1Direction)
TubeF1Right = App.TGPoint3()
TubeF1Right.SetXYZ(-0.196116, 0.000000, -0.980581)
TubeF1.SetRight(TubeF1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TubeF1)
#################################################
TubeF2 = App.TorpedoTubeProperty_Create("Tube F2")

TubeF2.SetMaxCondition(2200.000000)
TubeF2.SetCritical(0)
TubeF2.SetTargetable(1)
TubeF2.SetPrimary(1)
TubeF2.SetPosition(0.024363, 0.367145, -0.375635)
TubeF2.SetPosition2D(73.000000, 9.000000)
TubeF2.SetRepairComplexity(3.000000)
TubeF2.SetDisabledPercentage(0.750000)
TubeF2.SetRadius(0.040000)
TubeF2.SetDumbfire(1)
TubeF2.SetWeaponID(6)
TubeF2.SetGroups(16)
TubeF2.SetDamageRadiusFactor(0.200000)
TubeF2.SetIconNum(370)
TubeF2.SetIconPositionX(74.000000)
TubeF2.SetIconPositionY(48.000000)
TubeF2.SetIconAboveShip(1)
TubeF2.SetImmediateDelay(2.000000)
TubeF2.SetReloadDelay(20.000000)
TubeF2.SetMaxReady(2)
TubeF2Direction = App.TGPoint3()
TubeF2Direction.SetXYZ(0.000000, 1.000000, 0.000000)
TubeF2.SetDirection(TubeF2Direction)
TubeF2Right = App.TGPoint3()
TubeF2Right.SetXYZ(0.196116, 0.000000, -0.980581)
TubeF2.SetRight(TubeF2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TubeF2)
#################################################
TubeA2 = App.TorpedoTubeProperty_Create("Tube A2")

TubeA2.SetMaxCondition(2200.000000)
TubeA2.SetCritical(0)
TubeA2.SetTargetable(1)
TubeA2.SetPrimary(1)
TubeA2.SetPosition(-0.017848, -0.938514, -0.502451)
TubeA2.SetPosition2D(70.000000, 90.000000)
TubeA2.SetRepairComplexity(3.000000)
TubeA2.SetDisabledPercentage(0.750000)
TubeA2.SetRadius(0.050000)
TubeA2.SetDumbfire(1)
TubeA2.SetWeaponID(6)
TubeA2.SetGroups(16)
TubeA2.SetDamageRadiusFactor(0.200000)
TubeA2.SetIconNum(370)
TubeA2.SetIconPositionX(74.000000)
TubeA2.SetIconPositionY(109.000000)
TubeA2.SetIconAboveShip(1)
TubeA2.SetImmediateDelay(2.000000)
TubeA2.SetReloadDelay(20.000000)
TubeA2.SetMaxReady(2)
TubeA2Direction = App.TGPoint3()
TubeA2Direction.SetXYZ(0.008739, -0.999258, -0.037516)
TubeA2.SetDirection(TubeA2Direction)
TubeA2Right = App.TGPoint3()
TubeA2Right.SetXYZ(-0.098047, -0.087149, -0.991359)
TubeA2.SetRight(TubeA2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TubeA2)
#################################################
Sovereign = App.ShipProperty_Create("Sovereign")

Sovereign.SetGenus(1)
Sovereign.SetSpecies(102)
Sovereign.SetMass(213667.000000)
Sovereign.SetRotationalInertia(3205000069120.000000)
Sovereign.SetShipName("CGSovereign")
Sovereign.SetModelFilename("data/Models/Ships/CGSovereign/Sovereign.nif")
Sovereign.SetDamageResolution(8.000000)
Sovereign.SetAffiliation(1)
Sovereign.SetStationary(0)
Sovereign.SetAIString("FedAttack")
Sovereign.SetDeathExplosionSound("g_lsDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(Sovereign)
#################################################
QuantumTurret = App.WeaponSystemProperty_Create("Quantum Turret")

QuantumTurret.SetMaxCondition(5000.000000)
QuantumTurret.SetCritical(0)
QuantumTurret.SetTargetable(1)
QuantumTurret.SetPrimary(1)
QuantumTurret.SetPosition(-0.000289, 1.990140, -0.076977)
QuantumTurret.SetPosition2D(95.000000, 70.000000)
QuantumTurret.SetRepairComplexity(2.000000)
QuantumTurret.SetDisabledPercentage(0.750000)
QuantumTurret.SetRadius(0.150000)
QuantumTurret.SetNormalPowerPerSecond(200.000000)
QuantumTurret.SetWeaponSystemType(QuantumTurret.WST_PULSE)
QuantumTurret.SetSingleFire(1)
QuantumTurret.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
QuantumTurret.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(QuantumTurret)
#################################################
QuantumLauncherA = App.PulseWeaponProperty_Create("Quantum Launcher A")

QuantumLauncherA.SetMaxCondition(4500.000000)
QuantumLauncherA.SetCritical(0)
QuantumLauncherA.SetTargetable(0)
QuantumLauncherA.SetPrimary(1)
QuantumLauncherA.SetPosition(0.000244, 1.990140, -0.076972)
QuantumLauncherA.SetPosition2D(19.000000, 65.000000)
QuantumLauncherA.SetRepairComplexity(3.000000)
QuantumLauncherA.SetDisabledPercentage(0.750000)
QuantumLauncherA.SetRadius(0.100000)
QuantumLauncherA.SetDumbfire(0)
QuantumLauncherA.SetWeaponID(0)
QuantumLauncherA.SetGroups(1)
QuantumLauncherA.SetDamageRadiusFactor(0.350000)
QuantumLauncherA.SetIconNum(370)
QuantumLauncherA.SetIconPositionX(77.000000)
QuantumLauncherA.SetIconPositionY(39.000000)
QuantumLauncherA.SetIconAboveShip(1)
QuantumLauncherA.SetFireSound("Quantum Torpedo")
QuantumLauncherA.SetMaxCharge(6.000000)
QuantumLauncherA.SetMaxDamage(1600.000000)
QuantumLauncherA.SetMaxDamageDistance(120.000000)
QuantumLauncherA.SetMinFiringCharge(3.000000)
QuantumLauncherA.SetNormalDischargeRate(1.000000)
QuantumLauncherA.SetRechargeRate(0.450000)
QuantumLauncherA.SetIndicatorIconNum(0)
QuantumLauncherA.SetIndicatorIconPositionX(30.000000)
QuantumLauncherA.SetIndicatorIconPositionY(55.000000)
QuantumLauncherAForward = App.TGPoint3()
QuantumLauncherAForward.SetXYZ(0.000000, 1.000000, 0.000000)
QuantumLauncherAUp = App.TGPoint3()
QuantumLauncherAUp.SetXYZ(0.000000, 0.000000, 1.000000)
QuantumLauncherA.SetOrientation(QuantumLauncherAForward, QuantumLauncherAUp)
QuantumLauncherA.SetArcWidthAngles(-0.349066, 0.349066)
QuantumLauncherA.SetArcHeightAngles(-0.349066, 0.087266)
QuantumLauncherA.SetCooldownTime(0.250000)
QuantumLauncherA.SetModuleName("Tactical.Projectiles.WC_FCquantum")
App.g_kModelPropertyManager.RegisterLocalTemplate(QuantumLauncherA)
#################################################
ShuttleBay = App.HullProperty_Create("Shuttle Bay")

ShuttleBay.SetMaxCondition(1000.000000)
ShuttleBay.SetCritical(0)
ShuttleBay.SetTargetable(1)
ShuttleBay.SetPrimary(0)
ShuttleBay.SetPosition(-0.002809, 0.037954, 0.198056)
ShuttleBay.SetPosition2D(0.000000, 0.000000)
ShuttleBay.SetRepairComplexity(1.000000)
ShuttleBay.SetDisabledPercentage(0.500000)
ShuttleBay.SetRadius(0.150000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay)
#################################################
ShuttleBay2 = App.HullProperty_Create("Shuttle Bay 2")

ShuttleBay2.SetMaxCondition(1500.000000)
ShuttleBay2.SetCritical(0)
ShuttleBay2.SetTargetable(1)
ShuttleBay2.SetPrimary(0)
ShuttleBay2.SetPosition(-0.001596, -2.300000, -0.138432)
ShuttleBay2.SetPosition2D(15.000000, 15.000000)
ShuttleBay2.SetRepairComplexity(1.000000)
ShuttleBay2.SetDisabledPercentage(0.500000)
ShuttleBay2.SetRadius(0.200000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay2)
#################################################
AblativeArmour = App.HullProperty_Create("Ablative Armour")

AblativeArmour.SetMaxCondition(5500.000000)
AblativeArmour.SetCritical(0)
AblativeArmour.SetTargetable(1)
AblativeArmour.SetPrimary(1)
AblativeArmour.SetPosition(0.000000, 0.000000, -0.200000)
AblativeArmour.SetPosition2D(0.000000, 0.000000)
AblativeArmour.SetRepairComplexity(1.000000)
AblativeArmour.SetDisabledPercentage(0.500000)
AblativeArmour.SetRadius(0.250000)
App.g_kModelPropertyManager.RegisterLocalTemplate(AblativeArmour)
#################################################
TubeA1 = App.TorpedoTubeProperty_Create("Tube A1")

TubeA1.SetMaxCondition(2200.000000)
TubeA1.SetCritical(0)
TubeA1.SetTargetable(1)
TubeA1.SetPrimary(1)
TubeA1.SetPosition(0.016271, -0.937996, -0.503110)
TubeA1.SetPosition2D(70.000000, 90.000000)
TubeA1.SetRepairComplexity(3.000000)
TubeA1.SetDisabledPercentage(0.750000)
TubeA1.SetRadius(0.050000)
TubeA1.SetDumbfire(1)
TubeA1.SetWeaponID(6)
TubeA1.SetGroups(16)
TubeA1.SetDamageRadiusFactor(0.200000)
TubeA1.SetIconNum(370)
TubeA1.SetIconPositionX(80.000000)
TubeA1.SetIconPositionY(109.000000)
TubeA1.SetIconAboveShip(1)
TubeA1.SetImmediateDelay(2.000000)
TubeA1.SetReloadDelay(20.000000)
TubeA1.SetMaxReady(2)
TubeA1Direction = App.TGPoint3()
TubeA1Direction.SetXYZ(0.008739, -0.999258, -0.037516)
TubeA1.SetDirection(TubeA1Direction)
TubeA1Right = App.TGPoint3()
TubeA1Right.SetXYZ(-0.098047, -0.087149, -0.991359)
TubeA1.SetRight(TubeA1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TubeA1)

# Property Set
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bridge", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Core", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Damage Control", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Probe Launcher", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser Arrays", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser D1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser D2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser D3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser D4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser D5", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser D6", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser D7", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser D8", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser D9", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser D10", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser D11", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser D12", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser D13", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser V1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser V2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser V3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser V4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser V5", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser V6", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser V7", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser V8", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phaser V9", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedo Tubes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tube F1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tube F2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tube A2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Quantum Turret", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Quantum Launcher A", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractor Beams", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractor F1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractor A2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Decoy launcher", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPerson", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sovereign", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay OEP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay 2 OEP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("saucerlight1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("saucerlight2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("saucerlightgreen1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("saucerlightgreen2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("saucerlightred2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("saucerlightred1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("bridgeblinker", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("hulllight1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("rearhulllight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("snacellelight2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("snacellelight3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("pnacellelight2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("pnacellelight3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("spotlight1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("spotlight2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("hulllight3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Hull Light 5", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tube A1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
